<?php
defined( 'ABSPATH' ) || exit;
?>
.eos-hidden{display:none}
.fdp-resize-col {
  width: 700px;
  position: absolute;
  bottom: -33px;
  left: 20px;
  cursor:e-resize;
  opacity:0;
  z-index: 999;
  height: 0;
}
.alternate,.striped>tbody>:nth-child(odd),ul.striped>:nth-child(odd) {
    background-color: #f6f7f7
}
.widefat td, .widefat th {
    padding: 8px 10px;
}
.fdp-plug-filter.button{position:relative}
.fdp-plug-filter.button .fdp-plugins-filter-list{display:none;position:absolute;top:16px;left:0;width:fit-content;background:#253042 !important;z-index:9999999999;padding:10px;border: 1px solid}
.fdp-plug-filter.button:hover .fdp-plugins-filter-list{display:block}
ul.fdp-plugins-filter-list li{line-height:1;color:#fff !important}
.fdp #wpbody-content,.fdp #wpbody-content div,.fdp #wpbody-content p {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif
}
.fdp .media-modal{z-index:99999999999999}
#eos-dp-setts:not(.fixed) .eos-dp-plugin-name a,#eos-dp-setts:not(.fixed) .eos-dp-theme-name a {
    border-bottom: 3px solid #D3C4B8
}
#eos-dp-pagination-wrp{position:absolute;right:0;z-index:9;top:80px}
#eos-dp-setts .eos-dp-plugin-name,#eos-dp-setts .eos-dp-theme-name {
    -o-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg)
}
#fdp-topbar-icons{margin:10px 220px 0 20px}
.folded #fdp-topbar-icons{margin:10px 90px 0 20px}
.fdp-top-bar-open #wp-admin-bar-bp-notifications{display:none}
#adminmenu .wp-menu-image{max-width:25px;background-repeat:no-repeat;background-position:center;background-size:contain}
#fdp-notifications pre{font-family:Arial;overflow-x:auto;font-size:14px;background:#000 !important}
#fdp-notifications pre span{color:#fff !important}
.eos-dp-homepage #eos-dp-menu-section{z-index:999}
#fdp-notifications-icon #fdp-notifications-list{top:-400px;transition:1s top linear}
#fdp-notifications-icon:hover #fdp-notifications-list{top:auto}
#fdp-notifications-count{position:absolute;top:-7px;right:-6px;font-size:13px;width:17px;height:17px;background:#d63638;color:#fff !important;border-radius:50%;font-weight:bold}
.fdp-free .fdp-show-only-on-pro{display:none !important}
#wp-toolbar li:not(.fdp-top-bar-open #wp-toolbar li){display:none !important}
html.wp-toolbar{padding-top:0}
body.fdp #wpwrap #wpcontent #wpbody #wpbody-content .update-nag,#wpwrap #wpcontent #wpbody #wpbody-content .update,#wpwrap #wpcontent #wpbody #wpbody-content .updated,#wpwrap #wpcontent #wpbody #wpbody-content .notice:not(.eos-dp-notice){display:none !important}
body.fdp .update-nag,body.fdp .update,body.fdp .updated,body.fdp .notice:not(.eos-dp-notice),.fdp #wpadminbar .wp-ui-notification{display:none !important}
body.fdp div#wpbody-content{display:block !important}
body.fdp #adminmenu .menu-top:hover .wp-submenu{top:-1px}
#eos-dp-pre-nav .dashicons{height:20px}
#adminmenu img{max-width:20px}
#eos-dp-menu-section #eos-dp-setts td:first-child{width:350px;max-width:350px}
.eos-dp-post-name-wrp{min-width:200px}
#eos-dp-menu-section .eos-dp-title{max-width:275px;overflow-x:hidden;display:inline-block}
.wp-toolbar .fdp #wpadminbar{
  top: -40px !important;
  position:fixed;
  transition: top 0.5s linear
}
.wp-toolbar .fdp.fdp-top-bar-open #wpadminbar{
  top: 0 !important
}
.fdp-top-bar-open #wpwrap #wpcontent {
  margin-top: 32px !important;
  transition: margin-top 0.5s linear;
}
.fdp-top-bar-open #fdp-toggle-top-bar{
  top: 42px !important
}
.fdp-top-bar-open #fdp-toggle-top-bar:before{
    content: "\f142";
}
.fdp .menu-top img {
    max-height: 32px;
}
#wpwrap{height:auto;min-height:100%;width:100%;position:relative;-webkit-font-smoothing:subpixel-antialiased;}
#wpcontent{height:100%;padding-left:20px;}
#wpcontent,#wpfooter{margin-left:160px;}
.folded #wpcontent,.folded #wpfooter{margin-left:36px;}
#wpbody-content{padding-bottom:65px;float:left;width:100%;overflow:visible;}
.alignleft{float:left;}
.alignright{float:right;}
.clear{clear:both;}
.screen-reader-text{border:0;clip:rect(1px,1px,1px,1px);-webkit-clip-path:inset(50%);clip-path:inset(50%);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px;word-wrap:normal!important;}
.button .screen-reader-text{height:auto;}
.screen-reader-shortcut{position:absolute;top:-1000em;}
.screen-reader-shortcut:focus{left:6px;top:-25px;height:auto;width:auto;display:block;font-size:14px;font-weight:600;padding:15px 23px 14px;background:#f0f0f1;color:#2271b1;z-index:100000;line-height:normal;box-shadow:0 0 2px 2px rgba(0,0,0,.6);text-decoration:none;outline:2px solid transparent;outline-offset:-2px;}
.hidden{display:none;}
body{height:100%;margin:0;padding:0;}
body{background:#f0f0f1;color:#3c434a;font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;font-size:13px;line-height:1.4em;min-width:600px;}
img{border:0;}
td{font-family:inherit;font-size:inherit;font-weight:inherit;line-height:inherit;}
a{color:#2271b1;transition-property:border,background,color;transition-duration:.05s;transition-timing-function:ease-in-out;}
a,div{outline:0;}
a:active,a:hover{color:#135e96;}
a:focus{color:#043959;box-shadow:0 0 0 1px #4f94d4,0 0 2px 1px rgba(79,148,212,.8);outline:1px solid transparent;}
#adminmenu a:focus{box-shadow:none;outline:1px solid transparent;outline-offset:-1px;}
.screen-reader-text:focus{box-shadow:none;outline:0;}
p{font-size:13px;line-height:1.5;margin:1em 0;}
li{margin-bottom:6px;}
h2,h3,h4{display:block;font-weight:600;}
h2,h3{color:#1d2327;font-size:1.3em;margin:1em 0;}
h4{font-size:1em;margin:1.33em 0;}
ul{padding:0;}
ul{list-style:none;}
.notice-dismiss:before{background:0 0;color:#787c82;content:"\f153";display:block;font:normal 16px/20px dashicons;speak:never;height:20px;text-align:center;width:20px;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;}
b{font-weight:600;}
.notice{background:#fff;border:1px solid #c3c4c7;border-left-width:4px;box-shadow:0 1px 1px rgba(0,0,0,.04);margin:5px 15px 2px;padding:1px 12px;}
.notice p{margin:.5em 0;padding:2px;}
.wp-core-ui .notice.is-dismissible{padding-right:38px;position:relative;}
.notice-dismiss{position:absolute;top:0;right:1px;border:none;margin:0;padding:9px;background:0 0;color:#787c82;cursor:pointer;}
.notice-dismiss:active:before,.notice-dismiss:focus:before,.notice-dismiss:hover:before{color:#d63638;}
.notice-dismiss:focus{outline:0;box-shadow:0 0 0 1px #4f94d4,0 0 2px 1px rgba(79,148,212,.8);}
.notice-warning{border-left-color:#dba617;}
.notice-error{border-left-color:#d63638;}
#adminmenu a{text-decoration:none;}
#contextual-help-wrap{margin:0;padding:8px 20px 12px;position:relative;}
#contextual-help-wrap{overflow:auto;margin-left:0;}
#screen-meta{display:none;margin:0 20px -1px 0;position:relative;background-color:#fff;border:1px solid #c3c4c7;border-top:none;box-shadow:0 0 0 transparent;}
#contextual-help-wrap{padding:0;}
#contextual-help-columns{position:relative;}
#contextual-help-back{position:absolute;top:0;bottom:0;left:150px;right:170px;border:1px solid #c3c4c7;border-top:none;border-bottom:none;background:#f0f6fc;}
#contextual-help-wrap.no-sidebar #contextual-help-back{right:0;border-right-width:0;border-bottom-right-radius:2px;}
.contextual-help-tabs{float:left;width:150px;margin:0;}
.contextual-help-tabs ul{margin:1em 0;}
.contextual-help-tabs-wrap{padding:0 20px;overflow:auto;}
#adminmenu .wp-submenu li.current,#adminmenu .wp-submenu li.current a,#adminmenu .wp-submenu li.current a:hover{font-weight:600;}
#wpfooter{position:absolute;bottom:0;left:0;right:0;padding:10px 20px;color:#50575e;}
#wpfooter p{font-size:13px;margin:0;line-height:1.55;}
img{border:none;}
.ui-draggable-handle{touch-action:none;}
@media screen and (max-width:782px){
  #eos-dp-setts .eos-dp-plugin-name, #eos-dp-setts .eos-dp-theme-name {
      -o-transform: rotate(-90deg);
      -ms-transform: rotate(-90deg);
      -moz-transform: rotate(-90deg);
      -webkit-transform: rotate(-90deg);
      transform: rotate(-90deg);
  }
.screen-reader-shortcut:focus{top:-39px;}
body{min-width:240px;overflow-x:hidden;}
body *{-webkit-tap-highlight-color:transparent!important;}
#wpcontent{position:relative;margin-left:0;padding-left:10px;}
#wpbody-content{padding-bottom:100px;}
#collapse-menu{display:none!important;}
.notice{margin:20px 0 10px;padding:5px 10px;font-size:14px;line-height:175%;}
.wp-core-ui .notice.is-dismissible{padding-right:46px;}
.notice-dismiss{padding:13px;}
#wpfooter{display:none;}
#screen-meta #contextual-help-wrap{overflow:visible;}
#screen-meta #contextual-help-back{display:none;}
#screen-meta .contextual-help-tabs{clear:both;width:100%;float:none;}
#screen-meta .contextual-help-tabs ul{margin:0 0 1em;padding:1em 0 0;}
#screen-meta .contextual-help-tabs-wrap{clear:both;max-width:100%;float:none;}
#screen-meta{margin-right:10px;}
}
@media screen and (max-width:1170px){
  #fdp-topbar-icons {
    float:none !important;
    margin-left: 0 !important;
  }
}
@media screen and (max-width:1100px){
  #eos-dp-setts-nav {
      display: block !important;
  }
  #eos-dp-pagination-wrp {
    position: static
  }
}
@media screen and (max-width:600px){
.screen-reader-shortcut:focus{top:7px;}
#wpbody{padding-top:46px;}
}
button,input,select{box-sizing:border-box;font-family:inherit;font-size:inherit;font-weight:inherit;}
input{font-size:14px;}
label{cursor:pointer;}
input,select{margin:0 1px;}
input[type=number],input[type=search],select{box-shadow:0 0 0 transparent;border-radius:4px;border:1px solid #8c8f94;background-color:#fff;color:#2c3338;}
input[type=number],input[type=search]{padding:0 8px;line-height:2;min-height:30px;}
input[type=checkbox]:focus,input[type=number]:focus,input[type=search]:focus,select:focus{border-color:#2271b1;box-shadow:0 0 0 1px #2271b1;outline:2px solid transparent;}
input[type=checkbox]:not(.eos-hidden){border:1px solid #8c8f94;border-radius:4px;background:#fff;color:#50575e;clear:none;cursor:pointer;display:inline-block;line-height:0;height:1rem;margin:-.25rem .25rem 0 0;outline:0;padding:0!important;text-align:center;vertical-align:middle;width:1rem;min-width:1rem;-webkit-appearance:none;box-shadow:inset 0 1px 2px rgba(0,0,0,.1);transition:.05s border-color ease-in-out;}
input[type=checkbox]:checked::before{float:left;display:inline-block;vertical-align:middle;width:1rem;speak:never;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;}
input[type=checkbox]:checked::before{
  content: " ";
  position: relative;
  top: 50%;
  left: 50%;
  margin-top: -5px;
  margin-left: -5px;
  border-radius: 50%;
  border: none;
  width: 10px !important;
  height: 10px !important;
  background-color: #D3C4B8
}
input[type=search]{-webkit-appearance:textfield;}
input:disabled,select:disabled{background:rgba(255,255,255,.5);border-color:rgba(220,220,222,.75);box-shadow:inset 0 1px 2px rgba(0,0,0,.04);color:rgba(44,51,56,.5);}
input[type=range]:disabled{background:0 0;box-shadow:none;cursor:default;}
input[type=checkbox]:disabled,input[type=checkbox]:disabled:checked:before{opacity:.7;}
.wp-core-ui select{font-size:14px;line-height:2;color:#2c3338;border-color:#8c8f94;box-shadow:none;border-radius:3px;padding:0 24px 0 8px;min-height:30px;max-width:25rem;-webkit-appearance:none;background:#fff url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M5%206l5%205%205-5%202%201-7%207-7-7%202-1z%22%20fill%3D%22%23555%22%2F%3E%3C%2Fsvg%3E') no-repeat right 5px top 55%;background-size:16px 16px;cursor:pointer;vertical-align:middle;}
.wp-core-ui select:hover{color:#2271b1;}
.wp-core-ui select:focus{border-color:#2271b1;color:#0a4b78;box-shadow:0 0 0 1px #2271b1;}
.wp-core-ui select:active{border-color:#8c8f94;box-shadow:none;}
.wp-core-ui select:disabled{color:#a7aaad;border-color:#dcdcde;background-color:#f6f7f7;background-image:url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M5%206l5%205%205-5%202%201-7%207-7-7%202-1z%22%20fill%3D%22%23a0a5aa%22%2F%3E%3C%2Fsvg%3E');box-shadow:none;text-shadow:0 1px 0 #fff;cursor:default;transform:none;}
label{vertical-align:middle;}
@media screen and (max-width:782px){
input[type=number],input[type=search]{-webkit-appearance:none;padding:3px 10px;min-height:40px;}
input[type=checkbox]{-webkit-appearance:none;}
input[type=checkbox]:checked:before{width:1.875rem;height:1.875rem;margin:-.1875rem -.3125rem;}
input[type=checkbox]{height:1.5625rem;width:1.5625rem;}
.wp-core-ui select{min-height:40px;font-size:16px;line-height:1.625;padding:5px 24px 5px 8px;}
input{font-size:16px;}
}
#adminmenu,#adminmenu .wp-submenu,#adminmenuback,#adminmenuwrap{width:160px;background-color:#1d2327;}
#adminmenuback{position:fixed;top:0;bottom:-120px;z-index:1;}
#adminmenu{clear:left;margin:12px 0;padding:0;list-style:none;}
.folded #adminmenu,.folded #adminmenu li.menu-top,.folded #adminmenuback,.folded #adminmenuwrap{width:36px;}
.menu-icon-appearance div.wp-menu-image,.menu-icon-comments div.wp-menu-image,.menu-icon-dashboard div.wp-menu-image,.menu-icon-media div.wp-menu-image,.menu-icon-page div.wp-menu-image,.menu-icon-plugins div.wp-menu-image,.menu-icon-post div.wp-menu-image,.menu-icon-settings div.wp-menu-image,.menu-icon-tools div.wp-menu-image,.menu-icon-users div.wp-menu-image{background-image:none!important;}
#adminmenuwrap{position:relative;float:left;z-index:9990;}
#adminmenu *{-webkit-user-select:none;user-select:none;}
#adminmenu li{margin:0;padding:0;}
#adminmenu a{display:block;line-height:1.3;padding:2px 5px;color:#f0f0f1;}
#adminmenu .wp-submenu a{color:#c3c4c7;color:rgba(240,246,252,.7);font-size:13px;line-height:1.4;margin:0;padding:5px 0;}
#adminmenu .wp-submenu a:focus,#adminmenu .wp-submenu a:hover{background:0 0;}
#adminmenu .wp-submenu a:focus,#adminmenu .wp-submenu a:hover,#adminmenu a:hover,#adminmenu li.menu-top>a:focus{color:#72aee6;}
#adminmenu a:focus,#adminmenu a:hover,.folded #adminmenu .wp-submenu-head:hover{box-shadow:inset 4px 0 0 0 currentColor;transition:box-shadow .1s linear;}
#adminmenu li.menu-top{border:none;min-height:34px;position:relative;}
#adminmenu .wp-submenu{list-style:none;position:absolute;top:-1000em;left:160px;overflow:visible;word-wrap:break-word;padding:7px 0 8px;z-index:9999;background-color:#2c3338;box-shadow:0 3px 5px rgba(0,0,0,.2);}
#adminmenu a.menu-top:focus+.wp-submenu{top:-1px;}
#adminmenu a.wp-has-current-submenu:focus+.wp-submenu{top:0;}
#adminmenu .wp-has-current-submenu .wp-submenu{position:relative;z-index:3;top:auto;left:auto;right:auto;bottom:auto;border:0 none;margin-top:0;box-shadow:none;}
.folded #adminmenu .wp-has-current-submenu .wp-submenu{box-shadow:0 3px 5px rgba(0,0,0,.2);}
#adminmenu li.menu-top:hover,#adminmenu li>a.menu-top:focus{position:relative;background-color:#1d2327;color:#72aee6;}
.folded #adminmenu li.menu-top:hover,.folded #adminmenu li>a.menu-top:focus{z-index:10000;}
#adminmenu .wp-has-current-submenu .wp-submenu .wp-submenu-head,#adminmenu .wp-menu-arrow,#adminmenu .wp-menu-arrow div,#adminmenu li.wp-has-current-submenu a.wp-has-current-submenu{background:#2271b1;color:#fff;}
.folded #adminmenu .wp-has-current-submenu a.menu-top:focus+.wp-submenu,.folded #adminmenu a.menu-top:focus+.wp-submenu{top:0;left:36px;}
.folded #adminmenu .wp-has-current-submenu .wp-submenu,.folded #adminmenu a.wp-has-current-submenu:focus+.wp-submenu{position:absolute;top:-1000em;}
#adminmenu .wp-not-current-submenu .wp-submenu,.folded #adminmenu .wp-has-current-submenu .wp-submenu{min-width:160px;width:auto;border-left:5px solid transparent;}
#adminmenu .wp-submenu li.current,#adminmenu .wp-submenu li.current a,#adminmenu .wp-submenu li.current a:focus,#adminmenu .wp-submenu li.current a:hover,#adminmenu a.wp-has-current-submenu:focus+.wp-submenu li.current a{color:#fff;}
#adminmenu .wp-not-current-submenu li>a,.folded #adminmenu .wp-has-current-submenu li>a{padding-right:16px;padding-left:14px;transition:all .1s ease-in-out,outline 0s;}
#adminmenu .wp-has-current-submenu ul>li>a,.folded #adminmenu li.menu-top .wp-submenu>li>a{padding:5px 12px;}
#adminmenu .wp-submenu-head,#adminmenu a.menu-top{font-size:14px;font-weight:400;line-height:1.3;padding:0;}
#adminmenu .wp-submenu-head{display:none;}
.folded #adminmenu .wp-menu-name{position:absolute;left:-999px;}
.folded #adminmenu .wp-submenu-head{display:block;}
#adminmenu .wp-submenu li{padding:0;margin:0;}
#adminmenu div.wp-menu-name{padding:8px 8px 8px 36px;overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-word;-webkit-hyphens:auto;hyphens:auto;}
#adminmenu div.wp-menu-image{float:left;width:36px;height:34px;margin:0;text-align:center;}
div.wp-menu-image:before{color:#a7aaad;color:rgba(240,246,252,.6);padding:7px 0;transition:all .1s ease-in-out;}
#adminmenu div.wp-menu-image:before{color:#a7aaad;color:rgba(240,246,252,.6);}
#adminmenu .wp-has-current-submenu div.wp-menu-image:before,#adminmenu a.wp-has-current-submenu:hover div.wp-menu-image:before,#adminmenu li.wp-has-current-submenu a:focus div.wp-menu-image:before,#adminmenu li.wp-has-current-submenu:hover div.wp-menu-image:before{color:#fff;}
#adminmenu li a:focus div.wp-menu-image:before,#adminmenu li:hover div.wp-menu-image:before{color:#72aee6;}
.folded #adminmenu div.wp-menu-image{width:35px;height:30px;position:absolute;z-index:25;}
.folded #adminmenu a.menu-top{height:34px;}
.wp-menu-arrow{display:none!important;}
ul#adminmenu a.wp-has-current-submenu{position:relative;}
ul#adminmenu a.wp-has-current-submenu:after{right:0;border:solid 8px transparent;content:" ";height:0;width:0;position:absolute;pointer-events:none;border-right-color:#f0f0f1;top:50%;margin-top:-8px;}
.folded ul#adminmenu li:hover a.wp-has-current-submenu:after{display:none;}
.folded ul#adminmenu a.wp-has-current-submenu:after,.folded ul#adminmenu>li a.current:after{border-width:4px;margin-top:-4px;}
#adminmenu li.wp-has-submenu.wp-not-current-submenu:hover:after{right:0;border:8px solid transparent;content:" ";height:0;width:0;position:absolute;pointer-events:none;top:10px;z-index:10000;}
.folded ul#adminmenu li.wp-has-submenu.wp-not-current-submenu:hover:after{border-width:4px;margin-top:-4px;top:18px;}
#adminmenu li.wp-menu-separator{height:5px;padding:0;margin:0 0 6px;cursor:inherit;}
#adminmenu div.separator{height:2px;padding:0;}
#adminmenu .wp-submenu .wp-submenu-head{color:#fff;font-weight:400;font-size:14px;padding:5px 4px 5px 11px;margin:-7px 0 4px -5px;border-width:3px 0 3px 5px;border-style:solid;border-color:transparent;}
#adminmenu li.current,.folded #adminmenu li.wp-menu-open{border:0 none;}
#adminmenu .awaiting-mod,#adminmenu .menu-counter,#adminmenu .update-plugins{display:inline-block;vertical-align:top;box-sizing:border-box;margin:1px 0 -1px 2px;padding:0 5px;min-width:18px;height:18px;border-radius:9px;background-color:#d63638;color:#fff;font-size:11px;line-height:1.6;text-align:center;z-index:26;}
#adminmenu li span.count-0{display:none;}
#collapse-button{display:block;width:100%;height:34px;margin:0;border:none;padding:0;position:relative;overflow:visible;background:0 0;color:#a7aaad;cursor:pointer;}
#collapse-button:hover{color:#72aee6;}
#collapse-button:focus{color:#72aee6;outline:1px solid transparent;outline-offset:-1px;}
#collapse-button .collapse-button-icon,#collapse-button .collapse-button-label{display:block;position:absolute;top:0;left:0;}
#collapse-button .collapse-button-label{top:8px;}
#collapse-button .collapse-button-icon{width:36px;height:34px;}
#collapse-button .collapse-button-label{padding:0 0 0 36px;}
.folded #collapse-button .collapse-button-label{display:none;}
#collapse-button .collapse-button-icon:after{content:"\f148";display:block;position:relative;top:7px;text-align:center;font:normal 20px/1 dashicons!important;speak:never;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;}
.folded #collapse-button .collapse-button-icon:after{transform:rotate(180deg);}
#collapse-button .collapse-button-icon:after,#collapse-button .collapse-button-label{transition:all .1s ease-in-out;}
li#wp-admin-bar-menu-toggle{display:none;}
@media screen and (max-width:782px){
#adminmenu .wp-submenu{position:relative;display:none;}
#adminmenu .wp-not-current-submenu .wp-submenu,.folded #adminmenu .wp-has-current-submenu .wp-submenu{border-left:none;}
#adminmenu .wp-submenu .wp-submenu-head{display:none;}
#wpadminbar #wp-admin-bar-menu-toggle a{display:block;padding:0;overflow:hidden;outline:0;text-decoration:none;border:1px solid transparent;background:0 0;height:44px;margin-left:-1px;}
li#wp-admin-bar-menu-toggle{display:block;}
#wpadminbar #wp-admin-bar-menu-toggle a:hover{border:1px solid transparent;}
#wpadminbar #wp-admin-bar-menu-toggle .ab-icon:before{content:"\f228";display:inline-block;float:left;font:normal 40px/45px dashicons;vertical-align:middle;outline:0;margin:0;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;height:44px;width:50px;padding:0;border:none;text-align:center;text-decoration:none;box-sizing:border-box;}
}
@media screen and (max-width:600px){
#adminmenuback,#adminmenuwrap{display:none;}
}
.tablenav-pages .current-page{margin:0 2px 0 0;font-size:13px;text-align:center;}
@media screen and (max-width:782px){
.tablenav-pages .pagination-links{font-size:16px;}
.tablenav-pages .pagination-links .current-page{min-width:44px;padding:12px 6px;font-size:16px;line-height:1.125;}
}
@media screen and (max-width:480px){
.tablenav-pages .current-page{margin:0;}
.tablenav-pages .tablenav-paging-text{float:left;width:100%;padding-top:.5em;}
}
#wpbody{position:relative;}
.wp-core-ui .button,.wp-core-ui .button-primary{display:inline-block;text-decoration:none;font-size:13px;line-height:2.15384615;min-height:30px;margin:0;padding:0 10px;cursor:pointer;border-width:1px;border-style:solid;-webkit-appearance:none;border-radius:3px;white-space:nowrap;box-sizing:border-box;}
.wp-core-ui .button{color:#2271b1;border-color:#2271b1;background:#f6f7f7;vertical-align:top;}
.wp-core-ui p .button{vertical-align:baseline;}
.wp-core-ui .button:hover{background:#f0f0f1;border-color:#0a4b78;color:#0a4b78;}
.wp-core-ui .button:focus{background:#f6f7f7;border-color:#3582c4;color:#0a4b78;box-shadow:0 0 0 1px #3582c4;outline:2px solid transparent;outline-offset:0;}
.wp-core-ui .button:active{background:#f6f7f7;border-color:#8c8f94;box-shadow:none;}
.wp-core-ui .button:disabled{color:#a7aaad!important;border-color:#dcdcde!important;background:#f6f7f7!important;box-shadow:none!important;cursor:default;transform:none!important;}
.wp-core-ui .button-link{margin:0;padding:0;box-shadow:none;border:0;border-radius:0;background:0 0;cursor:pointer;text-align:left;color:#2271b1;text-decoration:underline;transition-property:border,background,color;transition-duration:.05s;transition-timing-function:ease-in-out;}
.wp-core-ui .button-link:active,.wp-core-ui .button-link:hover{color:#135e96;}
.wp-core-ui .button-link:focus{color:#043959;box-shadow:0 0 0 1px #4f94d4,0 0 2px 1px rgba(79,148,212,.8);outline:1px solid transparent;}
.wp-core-ui .button-primary{background:#2271b1;border-color:#2271b1;color:#fff;text-decoration:none;text-shadow:none;}
.wp-core-ui .button-primary:focus,.wp-core-ui .button-primary:hover{background:#135e96;border-color:#135e96;color:#fff;}
.wp-core-ui .button-primary:focus{box-shadow:0 0 0 1px #fff,0 0 0 3px #2271b1;}
.wp-core-ui .button-primary:active{background:#135e96;border-color:#135e96;box-shadow:none;color:#fff;}
.wp-core-ui .button-primary:disabled{color:#a7aaad!important;background:#f6f7f7!important;border-color:#dcdcde!important;box-shadow:none!important;text-shadow:none!important;cursor:default;}
@media screen and (max-width:782px){
.wp-core-ui .button{padding:0 14px;line-height:2.71428571;font-size:14px;vertical-align:middle;min-height:40px;margin-bottom:4px;}
}
#wp-auth-check-wrap.hidden{display:none;}
#wp-auth-check-wrap #wp-auth-check-bg{position:fixed;top:0;bottom:0;left:0;right:0;background:#000;opacity:.7;z-index:1000010;}
#wp-auth-check-wrap #wp-auth-check{position:fixed;left:50%;overflow:hidden;top:40px;bottom:20px;max-height:415px;width:380px;margin:0 0 0 -190px;padding:30px 0 0;background-color:#f0f0f1;z-index:1000011;box-shadow:0 3px 6px rgba(0,0,0,.3);}
@media screen and (max-width:380px){
#wp-auth-check-wrap #wp-auth-check{left:0;width:100%;margin:0;}
}
#wp-auth-check-wrap #wp-auth-check-form{height:100%;position:relative;overflow:auto;-webkit-overflow-scrolling:touch;}
#wp-auth-check-wrap .wp-auth-check-close{position:absolute;top:5px;right:5px;height:22px;width:22px;color:#787c82;text-decoration:none;text-align:center;}
#wp-auth-check-wrap .wp-auth-check-close:before{content:"\f158";font:normal 20px/22px dashicons;speak:never;-webkit-font-smoothing:antialiased!important;-moz-osx-font-smoothing:grayscale;}
#wp-auth-check-wrap .wp-auth-check-close:focus,#wp-auth-check-wrap .wp-auth-check-close:hover{color:#2271b1;}
#wp-auth-check-wrap .wp-auth-fallback-expired{outline:0;}
#wp-auth-check-wrap .wp-auth-fallback{font-size:14px;line-height:1.5;padding:0 25px;display:none;}
body{display:block!important;}
#fdp-notifications-icon #fdp-notifications-list{top:-400px;transition:1s top linear;}
#fdp-notifications-icon:hover #fdp-notifications-list{top:auto;}
#wp-toolbar li:not(.fdp-top-bar-open #wp-toolbar li){display:none!important;}
#wpwrap #wpcontent #wpbody #wpbody-content .notice:not(.eos-dp-notice){display:none!important;}
body.fdp .notice:not(.eos-dp-notice){display:none!important;}
body.fdp div#wpbody-content{display:block!important;}
body.fdp #adminmenu .menu-top:hover .wp-submenu{top:-1px;}
#eos-dp-menu-section #eos-dp-setts td:first-child{width:350px;max-width:350px;}
.eos-dp-post-name-wrp{min-width:200px;}
#eos-dp-menu-section .eos-dp-title{max-width:275px;overflow-x:hidden;display:inline-block;}
.wp-toolbar .fdp #wpadminbar{top:-40px!important;transition:top 0.5s linear;}
#collapse-menu{display:none;}
