<?php
defined( 'ABSPATH' ) || exit;

$deps = array(
  '2c2p-redirect-api-for-woocommerce',
  'a-gateway-for-pasargad-bank-on-woocommerce',
  'accounting-for-woocommerce',
  'acf-woocommerce-account-fields',
  'acf-yith-woocommerce-compare-support',
  'aco-product-labels-for-woocommerce',
  'aco-woo-dynamic-pricing',
  'activecampaign-for-woocommerce',
  'acymailing-integration-for-woocommerce',
  'add-customer-for-woocommerce',
  'add-fields-to-checkout-page-woocommerce',
  'add-on-woocommerce-mailpoet',
  'add-quantity-field-on-shop-page-for-woocommerce',
  'add-to-cart-button-customizations',
  'add-to-cart-button-labels-for-woocommerce',
  'add-to-cart-direct-checkout-for-woocommerce',
  'added-to-cart-popup-woocommerce',
  'additional-order-filters-for-woocommerce',
  'additional-product-fields-for-woocommerce',
  'addressfinder-woo',
  'addy-autocomplete-woocommerce',
  'admin-and-client-message-after-order-for-woocommerce',
  'adresskorrektur-autocomplete-fuer-woo',
  'adroll-for-woocommerce-stores-dev',
  'advance-wc-analytics',
  'advanced-coupons-for-woocommerce-free',
  'advanced-dynamic-pricing-for-woocommerce',
  'advanced-free-flat-shipping-woocommerce',
  'advanced-local-pickup-for-woocommerce',
  'advanced-partial-payment-or-deposit-for-woocommerce',
  'advanced-product-fields-for-woocommerce',
  'advanced-product-labels-for-woocommerce',
  'advanced-product-search-for-woo',
  'advanced-product-wishlist-for-woo',
  'advanced-reporting-for-woocommerce',
  'advanced-shipping-validation-for-woocommerce',
  'advanced-woo-labels',
  'advanced-woo-search',
  'advanced-woocommerce-product-gallery-slider',
  'affiliate-woocommerce-coupons-integration',
  'affiliates-manager-woocommerce-subscription-integration',
  'affiliates-woocommerce-light',
  'affiliatewp-woocommerce-redirect-affiliates',
  'afterpay-gateway-for-woocommerce',
  'afterpay-payment-gateway-for-woocommerce',
  'aftership-woocommerce-tracking',
  'age-verification-for-woocommerce',
  'age-verification-screen-for-woocommerce',
  'ajax-cart-autoupdate-for-woocommerce',
  'ajax-product-search',
  'ajax-search-for-woocommerce',
  'ajaxified-cart-woocommerce',
  'ali2woo-lite',
  'all-bd-mobile-payments-gateway',
  'alma-gateway-for-woocommerce',
  'altima-lookbook-free-for-woocommerce',
  'amb-variable-affiliate-products-for-woocommerce',
  'amount-left-free-shipping-woocommerce',
  'amp-woocommerce',
  'annasta-woocommerce-product-filters',
  'anyday-woocommerce',
  'appeto-woocommerce',
  'appmaker-woocommerce-mobile-app-manager',
  'appmax-woocommerce',
  'appointment-reservation-and-rental-booking-for-woocommerce',
  'arabic-woocommerce-middle-east-currencies',
  'aramex-shipping-woocommerce',
  'art-woocommerce-custom-sale',
  'art-woocommerce-order-one-click',
  'arukereso-for-woocommerce',
  'asiabill-payment-gateway-for-woocommerce',
  'atr-random-sku-for-woocommerce',
  'attribute-stock-for-woocommerce',
  'atum-stock-manager-for-woocommerce',
  'australian-post-woocommerce-extension',
  'authnet-cim-for-woo',
  'authorizenet-payment-gateway-for-woocommerce',
  'authorizenet-woocommerce-lightweight-addon',
  'auto-woocommerce-affiliate-account-creation',
  'autocomplete-address-and-location-picker-for-woocommerce',
  'autocomplete-address-for-woocommerce',
  'autocomplete-woocommerce-orders',
  'avecdo-for-woocommerce',
  'aw-woocommerce-kode-pembayaran',
  'b2bking-private-store-for-woocommerce',
  'b2bking-wholesale-for-woocommerce',
  'back-in-stock-notifier-for-woocommerce',
  'badge-management-for-woocommerce',
  'banner-management-for-woocommerce',
  'bc-menu-cart-woo',
  'bc-woo-custom-thank-you-pages',
  'beeketing-for-woocommerce',
  'best-woocommerce-feed',
  'better-variation-price-for-woocommerce',
  'bigbuy-wc-dropshipping-connector',
  'billplz-for-woocommerce',
  'birthday-discount-vouchers',
  'bitpay-checkout-for-woocommerce',
  'bizapp-for-woocommerce',
  'bkash-for-woocommerce',
  'blazing-woocommerce-shipment-tracking',
  'block-editor-for-woocommerce',
  'block-for-woo-product-table',
  'block-specific-spam-woo-orders',
  'bluesnap-payment-gateway-for-woocommerce',
  'bolt-checkout-woocommerce',
  'book-previewer-for-woocommerce',
  'booking-and-rental-system-woocommerce',
  'bootstrap-one-page-woocommerce-checkout',
  'bosa-elementor-for-woocommerce',
  'bot-for-telegram-on-woocommerce',
  'boxy-woocommerce-custom-redirect-after-checkout',
  'bp-custom-order-status-for-woocommerce',
  'brands-for-woocommerce',
  'bring-fraktguiden-for-woocommerce',
  'brozzme-product-navigation',
  'bs-payone-woocommerce',
  'btcpay-for-woocommerce',
  'btcpay-greenfield-for-woocommerce',
  'bulgarisation-for-woocommerce',
  'bulk-featured-image',
  'bulk-price-converter-for-woocommerce',
  'bulky-bulk-edit-products-for-woo',
  'button-customizer-for-woocommerce',
  'bux-woocommerce',
  'buy-now-button-for-woocommerce',
  'buy-one-click-woocommerce',
  'byconsole-woo-order-delivery-time',
  'c4d-woo-variation-swatches',
  'calculo-de-despacho-via-starken-para-woocommerce',
  'calculo-do-frete-somente-com-o-cep-wc-brasil',
  'canada-post-shipping-for-woocommerce',
  'cancel-order-request-woocommerce',
  'capital-epay-woocommerce-payment-gateway',
  'cardinity-free-payment-gateway-for-woocommerce',
  'cargo-tracking-for-woocommerce',
  'carousel-upsells-and-related-product-for-woocommerce',
  'cart-notices-for-woocommerce',
  'cart-products-suggestions-for-woocommerce',
  'cart-rest-api-for-woocommerce',
  'cart2cart-magento-to-woocommerce-migration',
  'cart2cart-shopify-to-woocommerce-migration',
  'cash-on-delivery-of-russian-post-or-ems-for-woocommerce',
  'catalog-booster-for-woocommerce',
  'catalog-for-woocommerce',
  'catalog-mode-for-woocommerce',
  'cc-bcc-for-woocommerce-order-emails',
  'ccavanue-woocommerce-payment-getway',
  'ccavenue-gateway-for-woocommerce',
  'cdek-for-woocommerce',
  'cecabank-woocommerce',
  'change-out-of-stock-text-for-woocommerce',
  'change-prices-with-time-for-woocommerce',
  'change-quantity-on-checkout-for-woocommerce',
  'change-wc-price-title',
  'change-woocommerce-add-to-cart-button-text',
  'change-woocommerce-product-author',
  'checkout-address-autofill-for-woocommerce',
  'checkout-address-sugessions-for-woocommerce',
  'checkout-countdown-for-woocommerce',
  'checkout-fees-for-woocommerce',
  'checkout-field-editor-and-manager-for-woocommerce',
  'checkout-files-upload-woocommerce',
  'checkout-manager-for-woocommerce',
  'checkout-plugins-stripe-woo',
  'checkout-upsell-funnel-for-woo',
  'chikkili-google-pay-for-woocommerce',
  'cielo-woocommerce',
  'cities-shipping-zones-for-woocommerce',
  'city-dropdown-for-woocommerce',
  'clearpay-gateway-for-woocommerce',
  'cleverreach-wc',
  'clone-woo-orders-free-by-wp-masters',
  'cloudpayments-gateway-for-woocommerce',
  'clover-payments-for-woocommerce',
  'cod-default-status-for-woocommerce',
  'coingate-for-woocommerce',
  'coinpayments-payment-gateway-for-woocommerce',
  'colissimo-shipping-methods-for-woocommerce',
  'collect-and-deliver-interface-for-woocommerce',
  'color-and-image-swatches-for-variable-product-attributes',
  'color-or-image-variation-swatches-for-woocommerce',
  'coming-soon-for-woocommerce',
  'comments-import-export-woocommerce',
  'commerce-coinbase-for-woocommerce',
  'composite-products-conditional-images-for-woocommerce',
  'comunas-de-chile-para-woocommerce',
  'conditional-extra-fees-for-woocommerce',
  'conditional-payment-methods-for-woocommerce',
  'conditional-payments-for-woocommerce',
  'conditional-shipping-for-woocommerce',
  'conditional-woo-checkout-field',
  'connector-woo-odoo',
  'constant-contact-woocommerce',
  'contabilium-oficial-para-woo',
  'contact-form-7-wooorders',
  'continue-shopping-anywhere-for-woocommerce',
  'continue-shopping-for-woocommerce',
  'convertkit-for-woocommerce',
  'corvuspay-woocommerce-integration',
  'cost-of-goods-for-woocommerce',
  'counter-visitor-for-woocommerce',
  'coupon-by-roles-for-woocommerce',
  'coupon-generator-for-woocommerce',
  'croatian-payment-slip-generator-for-woocommerce',
  'cross-sell-product-display-for-woocommerce',
  'crowdfunding-for-woocommerce',
  'cryptapi-payment-gateway-for-woocommerce',
  'crypto-com-pay-checkout-for-woocommerce',
  'cryptocurrency-payments-using-metamask-for-woocommerce',
  'cryptocurrency-product-for-woocommerce',
  'cryptocurrency-widgets-for-elementor',
  'cryptocurrencycheckout-woocommerce-gateway',
  'ctt-expresso-para-woocommerce',
  'currency-converter-for-woocommerce-paypal-standard',
  'currency-exchange-for-woocommerce',
  'currency-per-product-for-woocommerce',
  'currency-switcher-for-woocommerce',
  'currency-switcher-woocommerce',
  'custom-add-to-cart-button-for-woocommerce',
  'custom-availability-for-woocommerce',
  'custom-backorders-for-woocommerce',
  'custom-checkout-fields-for-woocommerce',
  'custom-checkout-layouts-for-woocommerce',
  'custom-currency-for-woocommerce',
  'custom-currency-symbol-for-woocommerce',
  'custom-my-account-for-woocommerce',
  'custom-order-numbers-for-woocommerce',
  'custom-order-statuses-for-woocommerce',
  'custom-order-statuses-woocommerce',
  'custom-payment-gateways-woocommerce',
  'custom-pc-builder-lite-for-woocommerce',
  'custom-price-for-woocommerce',
  'custom-product-stickers-for-woocommerce',
  'custom-related-products-for-woocommerce',
  'custom-shipping-methods-for-woocommerce',
  'custom-text-on-add-to-cart-button-for-woocommerce',
  'custom-thank-you-for-woocommerce',
  'custom-thank-you-page-per-product-for-wc',
  'customer-email-verification-for-woocommerce',
  'customer-reviews-collector-for-woocommerce',
  'customer-reviews-for-woocommerce',
  'customer-reviews-woocommerce',
  'customize-my-account-for-woocommerce',
  'customize-woocommerce-shop',
  'dadevarzan-woo-common',
  'daisycon-woocommerce-pixel',
  'datadev-jadlog-for-woocommerce',
  'datafeedr-woocommerce-importer',
  'dc-woocommerce-multi-vendor',
  'decimal-product-quantity-for-woocommerce',
  'decorator-woocommerce-email-customizer',
  'default-attributes-for-woocommerce',
  'default-product-image-for-woocommerce',
  'delivery-date-for-woocommerce',
  'delivery-drivers-for-woocommerce',
  'delivery-fees-for-woocommerce',
  'delivery-times-for-woocommerce',
  'departamentos-y-ciudades-de-colombia-para-woocommerce',
  'deposits-for-woocommerce',
  'deposits-partial-payments-for-woocommerce',
  'dhl-for-woocommerce',
  'dhlpwc',
  'dibs-easy-for-woocommerce',
  'digiwallet-for-woocommerce',
  'direct-checkout-for-woocommerce',
  'directo-pago-payments-for-woocommerce',
  'disable-cart-page-for-woocommerce',
  'disable-dashboard-for-woocommerce',
  'disable-payment-method-for-woocommerce',
  'disable-woocom-logout-confirmation',
  'disable-woocommerce-reviews',
  'display-category-post-count',
  'dni-woocommerce',
  'documents-for-woocommerce',
  'donations-for-woocommerce',
  'doofinder-for-woocommerce',
  'doppler-for-woocommerce',
  'download-now-for-woocommerce',
  'dpo-group-for-woocommerce',
  'drag-and-drop-multiple-file-upload-for-woocommerce',
  'dropshipping-woocommerce',
  'dropshipping-xml-for-woocommerce',
  'dynamic-price-and-discounts-for-woocommerce',
  'e-transactions-wc',
  'ean-for-woocommerce',
  'easy-login-woocommerce',
  'easy-loyalty-points-and-rewards-for-woocommerce',
  'easy-options-for-woocommerce',
  'easy-table-rate-shipping-for-woocommerce',
  'easy-woocommerce-auto-sku-generator',
  'easy-woocommerce-discounts',
  'easypay-mobile-money',
  'easyship-woocommerce-shipping-rates',
  'ecpay-ecommerce-for-woocommerce',
  'ecpay-invoice-for-woocommerce',
  'ecpay-logistics-for-woocommerce',
  'ecpay-payment-for-woocommerce',
  'elex-bulk-edit-products-prices-attributes-for-woocommerce-basic',
  'elex-hide-woocommerce-shipping-methods-basic',
  'elex-minimum-order-amount-for-woocommerce',
  'elex-product-price-custom-text-before-after-text-and-discount-for-woocommerce',
  'elex-woo-flexible-pricing',
  'elex-woocommerce-catalog-mode',
  'elex-woocommerce-dynamic-pricing-and-discounts',
  'elex-woocommerce-google-product-feed-plugin-basic',
  'elex-woocommerce-role-based-pricing-plugin-basic',
  'email-customizer-for-woocommerce',
  'email-template-customizer-for-woo',
  'email-tracking-notification-for-woocommerce',
  'emails-verification-for-woocommerce',
  'emerchantpay-payment-page-for-woocommerce',
  'employee-spotlight',
  'empty-cart-button-for-woocommerce',
  'enable-standard-paypal-for-woocommerce',
  'enhanced-ajax-add-to-cart-for-woocommerce',
  'enhanced-e-commerce-for-woocommerce-store',
  'enhanced-woocommerce-mautic-integration',
  'enquiry-quotation-for-woocommerce',
  'enviaya-shipping-for-woocommerce',
  'envo-extra',
  'epeken-all-kurir',
  'eprolo-dropshipping',
  'es-woocommerce-activecampaign',
  'esewa',
  'estimate-delivery-date-for-woocommerce',
  'estimated-delivery-for-woocommerce',
  'estonian-banklinks-for-woocommerce',
  'estonian-shipping-methods-for-woocommerce',
  'ether-and-erc20-tokens-woocommerce-payment-gateway',
  'eu-vat-for-woocommerce',
  'eupago-gateway-for-woocommerce',
  'event-tickets-manager-for-woocommerce',
  'excel-like-price-change-for-woocommerce-and-wp-e-commerce-light',
  'expandable-accordion-categories-ultimate-for-woocommerce',
  'export-order-items-for-woocommerce',
  'export-woocommerce-customer-list',
  'export-woocommerce',
  'exportfeed-for-woocommerce-product-to-etsy',
  'express-checkout-paypal-payment-gateway-for-woocommerce',
  'extra-product-options-for-woocommerce',
  'extra-settings-for-woocommerce',
  'ezusy-image-swatches-for-variable-product',
  'f4-total-stock-value-for-woocommerce',
  'f4-woocommerce-salutation-fields',
  'f4-woocommerce-shipping-phone-and-e-mail',
  'facebook-for-woocommerce',
  'fake-pay-for-woocommerce',
  'fami-woocommerce-compare',
  'faq-for-woocommerce',
  'fd-payments-for-woo',
  'featured-products-first-for-woocommerce',
  'feed-kuantokusta-for-woocommerce',
  'feefo-ratings-reviews-for-woocommerce',
  'fg-magento-to-woocommerce',
  'fg-prestashop-to-woocommerce',
  'fin-accounting-for-woocommerce',
  'finale-woocommerce-sales-countdown-timer-discount',
  'first-order-coupon-manager-for-woocommerce',
  'first-order-discount-woocommerce',
  'first-payment-date-for-woocommerce-subscriptions',
  'fitweb-bizappay-for-woocommerce',
  'flagship-woocommerce-shipping',
  'flamix-bitrix24-and-woo-integrations',
  'flat-rate-per-countryregion-for-woocommerce',
  'flat-shipping-rate-by-city-for-woocommerce',
  'flexible-quantity-measurement-price-calculator-for-woocommerce',
  'flexible-woocommerce-checkout-field-editor',
  'foloosi-for-woocommerce',
  'fondy-woocommerce-payment-gateway',
  'fontsampler',
  'food-online-for-woocommerce',
  'force-default-variant-for-woocommerce',
  'force-sell-for-woocommerce',
  'fr-address-book-for-woocommerce',
  'fr-custom-payment-gateway-icon-for-woocommerce',
  'fr-multi-bank-transfer-payment-gateways-for-woocommerce',
  'fraktjakt-shipping-for-woocommerce',
  'fraudlabs-pro-for-woocommerce',
  'free-product-table-for-woocommerce',
  'free-shipping-badge',
  'free-shipping-notification-woocommerce',
  'freepay-for-woocommerce',
  'friendstore-for-woocommerce',
  'gallery-slider-for-woocommerce',
  'gamipress-wc-points-per-purchase-total',
  'gamipress-woocommerce-integration',
  'gateway-aqayepardakht-for-woocommerce',
  'gazchaps-woocommerce-auto-category-product-thumbnails',
  'gazchaps-woocommerce-getaddress-io',
  'gazchaps-woocommerce-purchase-order-payment-gateway',
  'gdpr-settings-for-wc',
  'gelato-integration-for-woocommerce',
  'genesis-connect-woocommerce',
  'gestpay-for-woocommerce',
  'get-a-quote-button-for-woocommerce',
  'gg-woo-feed',
  'gift-message-for-woocommerce',
  'gift-upon-purchase-for-woocommerce',
  'gift-wrapping-for-woocommerce',
  'global-payments-woocommerce',
  'global-shop-discount-for-woocommerce',
  'gm-woo-product-list-widget',
  'gm-woocommerce-quote-popup',
  'gooten-dropshipping-for-woocommerce',
  'gourl-woocommerce-bitcoin-altcoin-payment-gateway-addon',
  'gratisfaction-all-in-one-loyalty-contests-referral-program-for-woocommerce',
  'grid-list-toggle-for-woocommerce',
  'gridlist-view-for-woocommerce',
  'gs-behance-portfolio',
  'gs-books-showcase',
  'gs-pinterest-portfolio',
  'gs-team-members',
  'gs-woo-variation-swatches',
  'gs-woocommerce-products-slider',
  'gtin-schema-for-woo',
  'gtm-ecommerce-woo',
  'guest-order-tracking-for-woocommerce',
  'helcim-commerce-for-woocommerce',
  'hezarfen-for-woocommerce',
  'hide-categories-on-shop-page',
  'hide-categories-or-products-on-shop-page',
  'hide-categories-products-woocommerce',
  'hide-related-products-in-woocommerce',
  'hide-shipping-method-for-woocommerce',
  'hide-woocommerce-product-shipping-information',
  'holiday-mode-for-woocommerce',
  'homey-woo-addon',
  'honeypot-woocommerce-wp-antispam',
  'hong-kong-fps-woo-payment',
  'houzez-woo-addon',
  'hubwoo-integration',
  'hungarian-pickup-points-for-woocommerce',
  'iamport-for-woocommerce',
  'im-wp-linker-lite-for-woocommerce',
  'image-hover-effects-for-woocommerce-products',
  'import-shopify-to-woocommerce',
  'import-woocommerce',
  'in-stock-mailer-for-woocommerce',
  'increase-product-variation-limit-for-woocommerce',
  'incuca-tech-pix-for-woocommerce',
  'indian-currency-inr-symbol-for-woocommerce',
  'indian-rupee-symbol-for-woocommerce',
  'indonesian-banks-for-woocommerce-free-version',
  'infinite-ajax-scrolling-for-woocommerce',
  'infinitepay-woocommerce',
  'inkgo-product-personalizer-for-woocommerce',
  'innovs-woo-manager',
  'innozilla-conditional-shipping-and-payments-woocommerce',
  'innozilla-per-product-shipping-woocommerce',
  'instantsearch-for-woocommerce',
  'instock-email-alert-for-woocommerce',
  'integrate-fonepay-in-woocommerce',
  'integration-for-szamlazzhu-woocommerce',
  'intense-turkiye-il-ilce-eklentisi-for-woocommerce',
  'invoice-for-woocommerce',
  'invoice-gateway-for-woocommerce',
  'ipag-woocommerce',
  'ithemeland-free-gifts-for-woo',
  'iugu-woocommerce',
  'iyzico-woocommerce',
  'jazzcash-woocommerce-gateway',
  'jcc-payment-gateway-for-wc',
  'jetwoo-widgets-for-elementor',
  'judgeme-product-reviews-woocommerce',
  'jvm-woocommerce-wishlist',
  'kadence-woocommerce-elementor',
  'kadence-woocommerce-email-designer',
  'keendelivery-woocommerce-koppeling',
  'keks-pay-for-woocommerce',
  'kitestudio-core',
  'kkiapay-woocommerce',
  'klarna-checkout-for-woocommerce',
  'klarna-order-management-for-woocommerce',
  'klarna-payments-for-woocommerce',
  'korea-for-woocommerce',
  'krokedil-paysoncheckout-20-for-woocommerce',
  'laposta-woocommerce',
  'laybuy-gateway-for-woocommerce',
  'leaddyno',
  'license-manager-for-woocommerce',
  'linear-checkout-for-woo-by-cartimize',
  'linepay-wc',
  'linked-variation-for-woocommerce',
  'litextension-data-migration-to-woocommerce',
  'live-sales-notifications-for-woocommerce',
  'livechat-woocommerce',
  'load-more-products-for-woocommerce',
  'local-delivery-drivers-for-woocommerce',
  'login-register-redirect-for-woocommerce',
  'login-with-mobile-number-for-woocommerce',
  'lp-express-shipping-method-for-woocommerce',
  'mabel-shoppable-images-lite',
  'magni-image-flip-for-woocommerce',
  'mail-debug-for-woocommerce',
  'mailchimp-for-woocommerce',
  'mailpoet-woocommerce-add-on',
  'mailster-woocommerce',
  'maintenance-mode-for-woocommerce',
  'makewebbetter-hubspot-for-woocommerce',
  'manca-lp-wc-integration',
  'mangopay-woocommerce',
  'map-location-picker-at-checkout-for-woocommerce',
  'marketking-multivendor-marketplace-for-woocommerce',
  'markup-by-attribute-for-woocommerce',
  'mas-woocommerce-variation-swatches',
  'maximum-products-per-user-for-woocommerce',
  'mellat-woocommerce',
  'membership-for-woocommerce',
  'metrilo-woocommerce-integration',
  'midtrans-woocommerce',
  'migrate-shopify-to-woocommerce',
  'mimo-woocommerce-order-tracking',
  'min-and-max-purchase-for-woocommerce',
  'min-and-max-quantity-for-woocommerce',
  'mini-ajax-woo-cart',
  'mini-cart-for-woocommerce',
  'minimum-age-woocommerce',
  'minimum-order-amount-for-woocommerce',
  'minimum-purchase-amount-for-woo-cart',
  'minimum-purchase-for-woocommerce',
  'minmax-quantity-for-woocommerce',
  'mmwd-remove-add-to-cart-for-woocommerce',
  'mobcard-woo-payment-gateway',
  'mobile-login-woocommerce',
  'mollie-payments-for-woocommerce',
  'momo-mobile-money-payments-woocommerce-extension',
  'monetbil-woocommerce-gateway',
  'montonio-for-woocommerce',
  'moota-woocommerce',
  'moowoodle',
  'most-viewed-products-for-woocommerce',
  'msrp-for-woocommerce',
  'multi-order-for-woocommerce',
  'multibanco-ifthen-software-gateway-for-woocommerce',
  'multilevel-referral-plugin-for-woocommerce',
  'multiparcels-shipping-for-woocommerce',
  'multiple-email-recipients-wc',
  'multiple-external-product-urls-for-woocommerce',
  'multiple-packages-for-woocommerce',
  'multiple-products-to-cart-for-woocommerce',
  'music-player-for-woocommerce',
  'mwb-bookings-for-woocommerce',
  'my-coolpay-payment-gateway-for-woocommerce',
  'myfatoorah-woocommerce',
  'mypos-virtual-for-woocommerce',
  'myworks-woo-sync-for-quickbooks-online',
  'n-media-woocommerce-checkout-fields',
  'nagad-payment-gateway',
  'netgiro-payment-gateway-for-woocommerce',
  'new-order-notification-for-woocommerce',
  'new-zealand-shipping-zones-for-woocommerce',
  'nextsale-for-woocommerce',
  'ni-woocommerce-admin-order-columns',
  'ni-woocommerce-cost-of-goods',
  'ni-woocommerce-custom-order-status',
  'ni-woocommerce-product-enquiry',
  'ni-woocommerce-sales-report-by-user-role',
  'ni-woocommerce-sales-report',
  'nif-num-de-contribuinte-portugues-for-woocommerce',
  'nikan-woocomerce-base',
  'no-captcha-recaptcha-for-woocommerce',
  'nomiddleman-crypto-payments-for-woocommerce',
  'non-purchasable-woocommerce-products',
  'nota-fiscal-eletronica-woocommerce',
  'note-finder-for-woocommerce',
  'novamodule-woocommerce',
  'nowpayments-for-woocommerce',
  'ns-custom-placeholder-image-for-woocommerce',
  'ns-remove-related-products-for-woocommerce',
  'nss-wooregistration-form',
  'official-skrill-woocommerce',
  'omega-add-paypal-tracking-for-woocommerce',
  'on-sale-page-for-woocommerce',
  'one-stop-shop-woocommerce',
  'onepay-payment-gateway-for-woocommerce',
  'ongkoskirim-id',
  'onpay-io-for-woocommerce',
  'opal-widgets-for-elementor',
  'opay-payment-gateway-for-woocommerce',
  'opennode-for-woocommerce',
  'openpix-for-woocommerce',
  'order-approval-woocommerce',
  'order-attachment-for-woocommerce',
  'order-attachments-for-woocommerce',
  'order-auto-complete-for-woocommerce',
  'order-barcode-for-woocommerce',
  'order-delivery-date-for-woocommerce',
  'order-emails-log-for-woocommerce',
  'order-export-and-more-for-woocommerce',
  'order-hours-scheduler-for-woocommerce',
  'order-import-export-for-woocommerce',
  'order-minimum-amount-for-woocommerce',
  'order-on-mobile-for-woocommerce',
  'order-signature-for-woocommerce',
  'order-status-control-for-woocommerce',
  'order-status-history-for-woocommerce',
  'order-status-rules-for-woocommerce',
  'order-tip-woo',
  'order-xml-file-export-import-for-woocommerce',
  'pagarme-payments-for-woocommerce',
  'page-restrict-for-woocommerce',
  'pagination-styler-for-woocommerce',
  'pagopar-woocommerce-gateway',
  'pakkelabels-for-woocommerce',
  'palmodule-paypal-payment-for-woocoomerce',
  'password-protected-woo-store',
  'password-strength-for-woocommerce',
  'pay-in-store-woocommerce-payment-gateway',
  'pay-via-barion-for-woocommerce',
  'pay-with-ath-movil-woocommerce-gateway',
  'pay-with-mtn-momo-woocommerce',
  'paybox-woocommerce-gateway',
  'paydunya-woocommerce-payment-gateway',
  'payever-woocommerce-gateway',
  'payex-payment-gateway-for-woocommerce',
  'paygate-payweb-for-woocommerce',
  'paygreen-woocommerce',
  'payjustnow-for-woocommerce',
  'paykun-gateway-woocommerce',
  'payl8r-finance-gateway-for-woocommerce',
  'paymaya-checkout-for-woocommerce',
  'payment-gateway-stripe-and-woocommerce-integration',
  'payment-gateway-via-borgun-for-woocommerce',
  'payment-gateway-via-paylike-for-woocommerce',
  'payment-gateway-via-valitor-for-woocommerce',
  'payment-gateways-by-currency-for-woocommerce',
  'payment-gateways-by-customer-location-for-woocommerce',
  'payment-gateways-by-shipping-for-woocommerce',
  'payment-gateways-by-user-roles-for-woocommerce',
  'payment-gateways-per-product-categories-for-woocommerce',
  'payment-qr-woo',
  'paymentsense-gateway-for-woocommerce',
  'paymentwall-for-woocommerce',
  'payop-woocommerce',
  'paypal-brasil-para-woocommerce',
  'paypal-currency-converter-basic-for-woocommerce',
  'paypro-gateways-woocommerce',
  'paytpv-for-woocommerce',
  'paytr-sanal-pos-woocommerce-iframe-api',
  'paytr-taksit-tablosu-woocommerce',
  'paytrail-for-woocommerce',
  'pd-woo-tracking-order',
  'pdf-catalog-for-woocommerce',
  'pdf-catalog-woocommerce',
  'pdf-invoices-and-packing-slips-for-woocommerce',
  'peachpay-for-woocommerce',
  'pending-payment-reminder-for-woocommerce',
  'pepro-bacs-receipt-upload-for-woocommerce',
  'perfect-woocommerce-brands',
  'perfit-woocommerce',
  'permalink-manager-for-woocommerce',
  'persian-woocommerce-sms',
  'personalize-woocommerce-cart-page',
  'pfand-deposit-for-woocommerce-products',
  'pgall-for-woocommerce',
  'phone-orders-for-woocommerce',
  'pi-woocommerce-order-date-time-and-type',
  'pinterest-for-woocommerce',
  'pixel-manager-for-woocommerce',
  'plisio-payment-gateway-for-woocommerce',
  'pmpro-woocommerce',
  'pofily-woo-product-filters',
  'point-of-sale-pos-woocommerce',
  'points-and-rewards-for-woocommerce',
  'poli-payments-for-woocommerce',
  'popup-notices-for-woocommerce',
  'portugal-chronopost-pickup-woocommerce',
  'portugal-ctt-tracking-woocommerce',
  'portugal-states-distritos-for-woocommerce',
  'postepay-woocommerce-gateway',
  'postmen-woo-shipping',
  'pp-express-wc4jp',
  'pre-orders-for-woocommerce',
  'premmerce-woocommerce-brands',
  'premmerce-woocommerce-multi-currency',
  'premmerce-woocommerce-product-filter',
  'premmerce-woocommerce-variation-swatches',
  'premmerce-woocommerce-wholesale-pricing',
  'premmerce-woocommerce-wishlist',
  'price-by-user-role-for-woocommerce',
  'pricelist-for-woocommerce',
  'pricing-deals-for-woocommerce',
  'print-google-cloud-print-gcp-woocommerce',
  'print-invoices-packing-slip-labels-for-woocommerce',
  'printaura-woocommerce-api',
  'printful-shipping-for-woocommerce',
  'printify-for-woocommerce',
  'product-blocks-for-woocommerce',
  'product-bundles-bulk-discounts-for-woocommerce',
  'product-bundles-minmax-items-for-woocommerce',
  'product-carousel-slider-for-woocommerce',
  'product-categories-bottom-description-woo-comerce',
  'product-categories-designs-for-woocommerce',
  'product-code-for-woocommerce',
  'product-configurator-for-woocommerce',
  'product-countdown-for-woocommerce',
  'product-delivery-date-for-woocommerce-lite',
  'product-editor',
  'product-enquiry-for-woocommerce',
  'product-expiry-for-woocommerce',
  'product-export-for-woocommerce',
  'product-id-permalink-for-woocommerce',
  'product-image-hover-effects-wooc-wpshare247',
  'product-image-watermark-for-woo',
  'product-image-zoom-for-woocommerce',
  'product-import-export-for-woo',
  'product-info-request-for-woocommerce',
  'product-input-fields-for-woocommerce',
  'product-notes-for-woocommerce',
  'product-notices-for-woocommerce',
  'product-open-pricing-name-your-price-for-woocommerce',
  'product-options-for-woocommerce',
  'product-page-shipping-calculator-for-woocommerce',
  'product-pre-orders-for-woo',
  'product-price-by-formula-for-woocommerce',
  'product-quantity-for-woocommerce',
  'product-questions-answers-for-woocommerce',
  'product-redirection-for-woocommerce',
  'product-reviews-import-export-for-woocommerce',
  'product-sales-report-for-woocommerce',
  'product-size-chart-for-woo',
  'product-size-charts-for-woocommerce',
  'product-slider-for-woocommerce-lite',
  'product-specifications',
  'product-table-for-woocommerce',
  'product-tabs-for-woocommerce',
  'product-tabs-manager-for-woocommerce',
  'product-variant-table-for-woocommerce',
  'product-variation-swatches-for-woocommerce',
  'product-variations-swatches-for-woocommerce',
  'product-video-gallery-slider-for-woocommerce',
  'product-videos-for-woocommerce',
  'product-visibility-by-country-for-woocommerce',
  'product-visibility-by-user-role-for-woocommerce',
  'product-watermark-for-woocommerce',
  'product-xml-feeds-for-woocommerce',
  'products-compare-for-woocommerce',
  'products-per-page-for-woocommerce',
  'products-purchase-limit-for-woocommerce',
  'productsize-chart-for-woocommerce',
  'profit-products-tables-for-woocommerce',
  'proof-factor-social-proof-notifications-for-woocommerce',
  'provinces-and-districts-of-panama-for-woocommerce',
  'provincias-de-ecuador-para-woocommerce',
  'pryc-woocommerce-edit-all-orders',
  'pryc-woocommerce-product-search-in-any-search',
  'public-woo-api',
  'purchase-order-woocommerce-addon',
  'purchase-orders-for-woocommerce',
  'purchased-items-column-woocommerce',
  'purple-xmls-google-product-feed-for-woocommerce',
  'pushover-for-woocommerce',
  'pw-woocommerce-bogo-free',
  'pw-woocommerce-copy-coupon',
  'pw-woocommerce-exclude-free-shipping',
  'pw-woocommerce-gift-cards',
  'pw-woocommerce-on-sale',
  'pymntpl-paypal-woocommerce',
  'qr-code-woocommerce',
  'qtranslate-support-for-woocommerce',
  'quadpay-gateway-for-woocommerce',
  'quantities-and-units-for-woocommerce',
  'quantity-field-on-shop-page-for-woocommerce',
  'quantity-increment-buttons-for-woocommerce',
  'quick-buy-now-button-for-woocommerce',
  'quick-view-and-buy-now-for-woocommerce',
  'quick-view-woocommerce',
  'quotes-for-woocommerce',
  'rapidmail-newsletter-e-mail-marketing-for-woocommerce',
  'rave-woocommerce-payment-gateway',
  'razorpay-subscriptions-for-woocommerce',
  'readytoship-woocommerce-tracking-integration',
  'rearrange-woocommerce-products',
  'recaptcha-woo',
  'recapture-for-woocommerce',
  'receiptful-for-woocommerce',
  'recently-bought-this-for-woocommerce',
  'reduce-stock-of-manual-orders-for-woocommerce',
  'refer-a-friend-for-woocommerce-by-wpgens',
  'referralcandy-for-woocommerce',
  'refersion-for-woocommerce',
  'regenerate-product-lookup-table-for-woocommerce',
  'regiones-ciudades-y-comunas-de-chile',
  'regiones-de-chile-para-woocommerce',
  'registrations-for-woocommerce',
  'related-products-manager-woocommerce',
  'remarkety-for-woocommerce',
  'remove-add-to-cart-woocommerce',
  'remove-woocommerce-billing-address-for-free-checkout',
  'remove-woocommerce-product-content',
  'rename-vat-to-gst-for-woocommerce',
  'repeat-order-button-for-woocommerce',
  'repeat-order-for-woocommerce',
  'replace-variable-price-range-by-chosen-variation-price-woocommerce',
  'restore-paypal-standard-for-woocommerce',
  'retainful-next-order-coupon-for-woocommerce',
  'review-slider-for-woocommerce',
  'reviewscouk-for-woocommerce',
  'revolut-gateway-for-woocommerce',
  'risk-free-cash-on-delivery-cod-woocommerce',
  'robokassa-for-woocommerce',
  'role-and-customer-based-pricing-for-woocommerce',
  'royal-mail-woocommerce-shipping-calculator',
  'rs-wp-books-showcase',
  'russian-post-and-ems-for-woocommerce',
  'ry-wc-city-select',
  'ry-woocommerce-tools',
  'rzp-woocommerce',
  'sagepay-form-gateway-for-woocommerce',
  'sagepay-server-gateway-for-woocommerce',
  'sales-report-for-woocommerce',
  'sales-tax-reports-for-woocommerce',
  'saphali-woocommerce-lite',
  'scanforpay-alipay-alipayhk-for-woocommerce',
  'scanpay-for-woocommerce',
  'search-attributes-for-woocommerce',
  'search-by-product-tags-for-woocommerce',
  'search-by-sku-for-woocommerce',
  'senangpay-payment-gateway-for-woocommerce',
  'send-email-to-customer-on-cancelled-order-in-woocommerce',
  'send-emails-for-woocommerce',
  'seo-friendly-urls-for-woocommerce',
  'sequential-order-numbers-for-woocommerce',
  'set-minimum-order-amount-for-woocommerce',
  'sezzle-woocommerce-payment',
  'shareasale-wc-tracker',
  'sharespine-woocommerce-connector',
  'shatner-name-your-own-price-for-woocommerce',
  'shipcloud-for-woocommerce',
  'shipday-for-woocommerce',
  'shipment-tracker-for-woocommerce',
  'shipping-by-city-for-woocommerce',
  'shipping-by-rules-for-woocommerce',
  'shipping-labels-for-woo',
  'shipping-mipaquete-woocommerce',
  'shipping-nova-poshta-for-woocommerce',
  'shipping-per-neighborhood-for-woocommerce',
  'shipping-simulator-for-woocommerce',
  'shipping-viet-nam-woocommerce',
  'shipping-zone-duplicator-for-woocommerce',
  'shipping-zones-by-drawing-for-woocommerce',
  'shippypro-woocommerce',
  'shiptimize-for-woocommerce',
  'shopmagic-for-woocommerce',
  'show-all-products-shortcode-for-woocommerce',
  'show-only-lowest-prices-in-woocommerce-variable-products',
  'sibs-woocommerce',
  'side-cart-woocommerce',
  'simpl-pay-in-3-for-woocommerce',
  'simple-catalog-for-woocommerce',
  'simple-cod-fee-for-woocommerce',
  'simple-googlebot-visit',
  'simple-linked-variations-for-woocommerce',
  'simple-shipping-labels-for-woocommerce',
  'simple-woocommerce-favourites',
  'sinalite-for-woocommerce',
  'sip-reviews-shortcode-woocommerce',
  'sitemap-with-woocommerce',
  'skroutz-analytics-woocommerce',
  'sku-error-fixer-for-woocommerce',
  'sku-for-woocommerce',
  'smaily-for-woocommerce',
  'smart-search-for-woocommerce',
  'smart-woocommerce-search',
  'smntcs-woocommerce-quantity-buttons',
  'snap-pixel-for-woocommerce',
  'social-icons-for-woocoomerce-emails',
  'social-login-lite-for-woocommerce',
  'soft79-cart-links-for-woocommerce',
  'soft79-wc-pricing-rules',
  'sold-out-badge-for-woocommerce',
  'sparxpres-for-woocommerce',
  'spreadr-for-woocomerce',
  'square-thumbnails',
  'ssl-secure-seal-for-woocommerce',
  'star-cloudprnt-for-woocommerce',
  'states-cities-and-places-for-woocommerce',
  'stax-woo-addons-for-elementor',
  'sticky-add-to-cart-bar-for-wc',
  'sticky-add-to-cart-for-woocommerce',
  'sticky-add-to-cart-woo',
  'stock-export-and-import-for-woocommerce',
  'stock-exporter-for-woocommerce',
  'stock-locations-for-woocommerce',
  'stock-sync-for-woocommerce',
  'stripe-woocommerce-addon',
  'subscriber-discounts-for-woocommerce',
  'subscriptions-for-woocommerce',
  'sucursales-correo-argentino-para-woocommerce',
  'sumup-payment-gateway-for-woocommerce',
  'supplier-data-fields-for-wc',
  'suppliers-manager-for-woocommerce',
  'surbma-magyar-woocommerce',
  'svea-checkout-for-woocommerce',
  'sync-wc-google',
  'taager',
  'taxjar-simplified-taxes-for-woocommerce',
  'taxonomy-discounts-woocommerce',
  'tc-woocommerce-product-slider',
  'telsender',
  'terminal-for-stripe-and-woocommerce',
  'terms-and-conditions-popup-for-woocommerce',
  'text-attributes-for-woocommerce',
  'th-all-in-one-woo-cart',
  'thank-you-page-viewer-for-woocommerce',
  'thebunch-ke-pesapal-woocommerce',
  'themify-wc-product-filter',
  'thim-elementor-kit',
  'ti-woocommerce-wishlist',
  'timologia-for-woocommerce',
  'toko-ibest-bank-indonesia-for-woocommerce',
  'toyyibpay-for-woocommerce',
  'tp-product-description-in-loop-for-woocommerce',
  'tp-product-image-flipper-for-woocommerce',
  'tp-show-product-images-on-checkout-page-for-woocommerce',
  'tp-woocommerce-product-gallery',
  'tpay-ge-woocommerce',
  'trackfree-woocommerce-tracking',
  'trackingmore-woocommerce-tracking',
  'trackship-for-woocommerce',
  'tree-nation-for-woocommerce',
  'triplea-cryptocurrency-payment-gateway-for-woocommerce',
  'trusted-shops-easy-integration-for-woocommerce',
  'trustmate-io-integration-for-woocommerce',
  'twb-woocommerce-reviews',
  'tyresaddict-woo-tyre-custom-metadata',
  'tyresaddict-woo-tyre-product-filter',
  'ultimate-woocommerce-auction',
  'ultimate-woocommerce-brands',
  'uni-woo-custom-product-options',
  'unit-price-for-woocommerce',
  'ups-eu-woocommerce',
  'upsell-order-bump-offer-for-woocommerce',
  'url-coupons-for-woocommerce-by-algoritmika',
  'users-customers-import-export-for-wp-woocommerce',
  'utrust-for-woocommerce',
  'uws-unyson-woocommerce-shortcodes',
  'vagonic-sortable',
  'vandar-woocommerce-gateway',
  'variation-duplicator-for-woocommerce',
  'variation-swatches-for-woocommerce',
  'variation-swatches-woo',
  'variations-radio-buttons-for-woocommerce',
  'veeqo-for-woocommerce',
  'very-simple-woocommerce-upsell-popup',
  'vg-woocarousel',
  'viabill-woocommerce',
  'video-tab-for-woocommerce',
  'viet-nam-saleor-for-woocommerce',
  'vindi-woocommerce-subscriptions',
  'visual-products-configurator-for-woocommerce',
  'vivawallet-woocommerce-gateway',
  'voguepay-woocommerce-payment-gateway',
  'w2s-migrate-woo-to-shopify',
  'waitlist-woocommerce',
  'wallet-system-for-woocommerce',
  'waterwoo-pdf',
  'wc-abandoned-carts-by-small-fish-analytics',
  'wc-ac-hook',
  'wc-bacs-paybysquare',
  'wc-binancepay',
  'wc-brand',
  'wc-buckaroo-bpe-gateway',
  'wc-builder',
  'wc-call-for-price',
  'wc-cancel-order',
  'wc-captcha',
  'wc-cart-pdf',
  'wc-cash-on-pickup',
  'wc-cashapp',
  'wc-casys-payment',
  'wc-category-discount',
  'wc-category-locker',
  'wc-category-showcase',
  'wc-change-currency-symbol',
  'wc-checkout-getnet',
  'wc-city-select',
  'wc-ciudades-y-regiones-de-chile',
  'wc-confirm-payment',
  'wc-correios-easy-tracking-code',
  'wc-custom-thank-you',
  'wc-customer-source',
  'wc-delete-orders',
  'wc-delete-product-images',
  'wc-departamentos-y-ciudades-colombia',
  'wc-digital-checkout',
  'wc-digital-goods-checkout',
  'wc-direct-place-order-without-payment',
  'wc-disable-sales',
  'wc-disable-zoom-lightbox-features',
  'wc-discord-notifications',
  'wc-donation-platform',
  'wc-dpd',
  'wc-duplicate-order',
  'wc-easypay-pk',
  'wc-easypost-shipping',
  'wc-external-product-new-tab',
  'wc-external-variations',
  'wc-free-shipping',
  'wc-frontend-manager-direct-paypal',
  'wc-frontend-manager-elementor',
  'wc-frontend-manager',
  'wc-gateway-greeninvoice',
  'wc-gift-packaging',
  'wc-gsheetconnector',
  'wc-hide-shipping-methods-except-pont',
  'wc-invoice-gateway',
  'wc-itau-shopline',
  'wc-j-upsellator',
  'wc-kalkulator',
  'wc-m-pesa-payment-gateway',
  'wc-min-max-quantities',
  'wc-minimum-order-amount',
  'wc-moneris-payment-gateway',
  'wc-mtn-momo-payment-gateway',
  'wc-multi-currency',
  'wc-multiple-email-recipients',
  'wc-multishipping',
  'wc-multivendor-marketplace',
  'wc-multivendor-membership',
  'wc-myparcel-belgium',
  'wc-nastavenia-skcz',
  'wc-no-shipping-message',
  'wc-order-limit-lite',
  'wc-order-notification-by-category',
  'wc-order-reports',
  'wc-order-search-admin',
  'wc-out-of-stock-message',
  'wc-pagarme-pix-payment',
  'wc-partial-shipment',
  'wc-password-strength-settings',
  'wc-paybox-payment-gateway',
  'wc-paymongo-payment-gateway',
  'wc-payoneer-payment-gateway',
  'wc-payphone-gateway',
  'wc-peach-payments-gateway',
  'wc-pedido-minimo',
  'wc-phonepe',
  'wc-pickup-store',
  'wc-place-order-without-payment',
  'wc-poczta',
  'wc-product-author',
  'wc-product-bundles',
  'wc-product-customer-list',
  'wc-product-feed-for-pinterest',
  'wc-product-subtitle',
  'wc-product-table-lite',
  'wc-provincia-canton-distrito',
  'wc-qr-codes',
  'wc-quantity-plus-minus-button',
  'wc-recently-viewed-products',
  'wc-remove-bg',
  'wc-remove-tabs-and-fields',
  'wc-restrict-payment-methods',
  'wc-restricted-shipping-and-payment',
  'wc-return-warrranty',
  'wc-robokassa',
  'wc-sales-count-manager',
  'wc-save-for-later',
  'wc-search-orders-by-product',
  'wc-secondary-product-thumbnail',
  'wc-sendy',
  'wc-serial-numbers',
  'wc-shipping-discount',
  'wc-shipping-method-description',
  'wc-shipping-packages',
  'wc-shipping-rates-importer',
  'wc-shippo-shipping',
  'wc-shipstation-shipping',
  'wc-smart-cod',
  'wc-speed-drain-repair',
  'wc-spod',
  'wc-ssl-seal',
  'wc-sslcommerz-easycheckout',
  'wc-style',
  'wc-support-system',
  'wc-telegram-bot',
  'wc-thanks-redirect',
  'wc-ukr-shipping',
  'wc-unitpay',
  'wc-variation-swatches',
  'wc-variations-ajax',
  'wc-variations-radio-buttons',
  'wc-vendors',
  'wc-venipak-shipping',
  'wc-walletdoc-payment-gateway',
  'wc-webmoney',
  'wc-wise-gateway',
  'wc-zelle',
  'wc4bp',
  'wcfm-marketplace-rest-api',
  'wcmpg',
  'wcp-contact-form',
  'wcpas-product-attributes-shortcode',
  'wcsdm',
  'webappick-pdf-invoice-for-woocommerce',
  'webappick-product-feed-for-woocommerce',
  'webd-woocommerce-advanced-reporting-statistics',
  'webd-woocommerce-product-excel-importer-bulk-edit',
  'webmicro-nmi-woo-addon',
  'webplus-liqpay-woocommerce',
  'wechat-payment-for-woo',
  'wechat-weixin-payments-for-woocommerce',
  'weight-based-pricing-for-woocommerce',
  'weight-based-shipping-for-woocommerce',
  'wenprise-alipay-checkout-for-woocommerce',
  'wenprise-wechatpay-checkout-for-woocommerce',
  'wholesale-market',
  'wholesale-pricing-for-woocommerce',
  'wholesale-pricing-woocommerce',
  'wip-woocarousel-lite',
  'wish-list-for-woocommerce',
  'without-payment-for-woocommerce',
  'wizpay-gateway-for-woocommerce',
  'woo-2checkout',
  'woo-3d-viewer',
  'woo-abandoned-cart-recovery',
  'woo-accordions',
  'woo-accounting-report',
  'woo-add-custom-fee',
  'woo-add-custom-states',
  'woo-add-custom-text',
  'woo-add-gtin',
  'woo-add-to-cart-text-change',
  'woo-add-to-quote',
  'woo-added-to-cart-notification',
  'woo-additional-fees-on-checkout-wordpress',
  'woo-additional-terms',
  'woo-addon-uploads',
  'woo-address-book',
  'woo-advanced-discounts',
  'woo-advanced-extra-fees-lite',
  'woo-advanced-product-information',
  'woo-advanced-product-size-chart',
  'woo-advanced-sales-report-email',
  'woo-advanced-shipment-tracking',
  'woo-ajax-add-to-cart',
  'woo-ajax-cart-count',
  'woo-ajax-loginregister',
  'woo-ajax-mini-cart',
  'woo-alidropship',
  'woo-aliexpress-dropshipping',
  'woo-aliexpress',
  'woo-align-buttons',
  'woo-alpha-bank-payment-gateway',
  'woo-altcoin-payment-gateway',
  'woo-asaas',
  'woo-attributes-coupon',
  'woo-authorize-net-gateway-aim',
  'woo-auto-coupons',
  'woo-autocomplete-checkout-address',
  'woo-autocomplete-search-bar',
  'woo-backorder-manager',
  'woo-badge-designer-lite',
  'woo-benchmark-email',
  'woo-best-selling-products',
  'woo-better-customer-list',
  'woo-better-shipping-calculator-for-brazil',
  'woo-better-usability',
  'woo-billingo-plus',
  'woo-bit-payment-gateway',
  'woo-boleto-paghiper',
  'woo-bookings-calendar',
  'woo-boost-sales',
  'woo-bought-together',
  'woo-bulk-edit-products',
  'woo-bulk-editor',
  'woo-bulk-order',
  'woo-bulk-price-update',
  'woo-button-text',
  'woo-cancel-abandoned-order',
  'woo-cardcom-payment-gateway',
  'woo-cardknox-gateway',
  'woo-cart-abandonment-recovery',
  'woo-cart-all-in-one',
  'woo-cart-count-shortcode',
  'woo-cart-expiration',
  'woo-cart-limit',
  'woo-cart-redirect-to-checkout-page',
  'woo-cart-weight',
  'woo-category-slider-by-pluginever',
  'woo-category-slider-for-elementor',
  'woo-category-slider-grid',
  'woo-change-product-author',
  'woo-checkout-field-editor-pro',
  'woo-checkout-for-digital-goods',
  'woo-checkout-regsiter-field-editor',
  'woo-chilexpress-shipping',
  'woo-clover-gateway-by-zaytech',
  'woo-codice-fiscale',
  'woo-combo-offers',
  'woo-coming-soon',
  'woo-commerce-addon-for-wp-courseware',
  'woo-conditional-payment-gateways',
  'woo-conditional-product-fees-for-checkout',
  'woo-confirmation-email',
  'woo-correios-calculo-de-frete-na-pagina-do-produto',
  'woo-country-based-bank-accounts',
  'woo-country-restrictions-advanced',
  'woo-coupon-box',
  'woo-coupon-url',
  'woo-coupon-usage',
  'woo-coupons-bulk-editor',
  'woo-coupons-by-categories-and-tags',
  'woo-currency',
  'woo-custom-add-to-cart-button',
  'woo-custom-and-sequential-order-number',
  'woo-custom-cart-button',
  'woo-custom-checkout-fields',
  'woo-custom-emails',
  'woo-custom-fee',
  'woo-custom-fields-for-variation',
  'woo-custom-gateway',
  'woo-custom-product-addons',
  'woo-custom-registration',
  'woo-custom-related-products',
  'woo-custom-sale-tag',
  'woo-customer-coupons',
  'woo-customers-manager',
  'woo-customers-order-history',
  'woo-customize',
  'woo-default-attributes',
  'woo-delete-product-images',
  'woo-delivery',
  'woo-direct-checkout-button',
  'woo-direct-checkout-lite',
  'woo-disable-email-notifications',
  'woo-discount-price',
  'woo-discount-rules',
  'woo-donations',
  'woo-dp-internetmarke',
  'woo-dynamic-pricing-discounts-lite',
  'woo-easy-duplicate-product',
  'woo-ecommerce-tracking-for-google-and-facebook',
  'woo-edit-templates',
  'woo-email-control',
  'woo-empty-cart-button',
  'woo-enviofacil',
  'woo-epos-now-integration',
  'woo-escrow-gateway',
  'woo-esto',
  'woo-event-manager',
  'woo-extra-flat-rate',
  'woo-extra-product-options',
  'woo-fattureincloud',
  'woo-fiscalita-italiana',
  'woo-floating-cart-lite',
  'woo-floating-minicart',
  'woo-fly-cart',
  'woo-for-logged-users',
  'woo-force-authentification-before-checkout',
  'woo-fortnox-hub',
  'woo-free-product-sample',
  'woo-free-shipping-bar',
  'woo-free-shipping-per-product',
  'woo-friendly-user-agent',
  'woo-gateway-fedapay',
  'woo-gift-cards-lite',
  'woo-giftcards',
  'woo-gls-print-label-and-tracking-code',
  'woo-graphql-api',
  'woo-gst',
  'woo-guaranteed-reviews-company',
  'woo-gutenberg-products-block',
  'woo-halkbank-payment-gateway',
  'woo-honey-pot-anti-spam',
  'woo-idpay-gateway',
  'woo-image-seo',
  'woo-inpost',
  'woo-instant-notifications',
  'woo-invoices',
  'woo-izettle-integration',
  'woo-jtl-connector',
  'woo-katalog',
  'woo-line-notify',
  'woo-load-group-attributes-product',
  'woo-local-pickup',
  'woo-locations',
  'woo-login-redirect',
  'woo-lookbook',
  'woo-lucky-wheel',
  'woo-m-pesa-payment-gateway',
  'woo-mailchimp-crm-perks',
  'woo-mailchimp-newsletter-discount',
  'woo-manage-fraud-orders',
  'woo-media-api',
  'woo-min-max-quantity-limit',
  'woo-min-max-quantity-step-control-single',
  'woo-mini-cart-drawer',
  'woo-minicart',
  'woo-mobile-bottom-bar',
  'woo-moip-official',
  'woo-most-viewed-products',
  'woo-mp',
  'woo-mpgs',
  'woo-multi-currency',
  'woo-multistep-checkout',
  'woo-new',
  'woo-nganluong-gateway',
  'woo-nimiq-gateway',
  'woo-notification',
  'woo-one-click-upsell-funnel',
  'woo-order-cancel-for-customers',
  'woo-order-export-lite',
  'woo-order-navigation',
  'woo-order-notes',
  'woo-order-on-whatsapp',
  'woo-order-splitter',
  'woo-order-test',
  'woo-order-weight',
  'woo-orders-date-range-filter',
  'woo-orders-tracking',
  'woo-out-of-stock-last',
  'woo-out-of-stock-products',
  'woo-pacsoft-unifaun',
  'woo-pagadito-payment-gateway',
  'woo-pagseguro-parceled',
  'woo-pagseguro-rm',
  'woo-pakettikauppa',
  'woo-parcel-pro',
  'woo-parcelas-com-e-sem-juros',
  'woo-partially',
  'woo-paydesign',
  'woo-payment-bkash',
  'woo-payment-discounts',
  'woo-payment-gateway-for-eurobank',
  'woo-payment-gateway-for-piraeus-bank',
  'woo-payment-gateway-for-vivapayments',
  'woo-payment-gateway-officeguy',
  'woo-payment-gateway-paysera',
  'woo-payment-gateway',
  'woo-payment-gateways-bank-indo-kode-payment',
  'woo-payment-on-delivery',
  'woo-paypal-currency-changer',
  'woo-paypal-express-checkout',
  'woo-paypal-gateway',
  'woo-paypal-pro',
  'woo-payping-gateway',
  'woo-payrexx-gateway',
  'woo-paystack',
  'woo-payu-payment-gateway',
  'woo-payumoney',
  'woo-payzen-payment',
  'woo-pdf-invoice-builder',
  'woo-pelecard-gateway',
  'woo-pensopay',
  'woo-permalink-manager',
  'woo-phone-number-required',
  'woo-phone-validator',
  'woo-photo-reviews',
  'woo-picpay',
  'woo-piva-codice-fiscale-e-fattura-pdf-per-italia',
  'woo-poly-integration',
  'woo-postfinance-checkout',
  'woo-postnl',
  'woo-prevent-cancel-order',
  'woo-preview-emails',
  'woo-price-per-unit',
  'woo-pricing-table',
  'woo-product-attachment',
  'woo-product-attribute-tab',
  'woo-product-barcode-label-printing',
  'woo-product-builder',
  'woo-product-bundle',
  'woo-product-carousel-and-zoom',
  'woo-product-carousel-slider-and-grid-ultimate',
  'woo-product-category-discount',
  'woo-product-country-base-restrictions',
  'woo-product-disclaimer',
  'woo-product-dropdown-widget',
  'woo-product-enquiry',
  'woo-product-excel-importer',
  'woo-product-feed-pro',
  'woo-product-filter',
  'woo-product-gallery-slider',
  'woo-product-hover-show-info-tooltip',
  'woo-product-multi-layout',
  'woo-product-price-x-quantity-preview',
  'woo-product-remover',
  'woo-product-reorder',
  'woo-product-reviews-shortcode',
  'woo-product-shortcodes',
  'woo-product-showcase',
  'woo-product-slider-and-carousel-with-category',
  'woo-product-slider-block',
  'woo-product-slider',
  'woo-product-table',
  'woo-product-tables',
  'woo-product-timer',
  'woo-product-variation-gallery',
  'woo-product-variation-swatches',
  'woo-products-by-category',
  'woo-products-masonry-grid',
  'woo-products-restricted-users',
  'woo-products-slider-pro',
  'woo-products-widgets-for-elementor',
  'woo-quantity-based-shipping-rate',
  'woo-quantity-buttons',
  'woo-quick-view',
  'woo-quickview',
  'woo-quote-or-enquiry-contact-form-7',
  'woo-rabo-omnikassa',
  'woo-random-product-sorting-with-pagination',
  'woo-rave',
  'woo-razorpay',
  'woo-recargo-de-equivalencia',
  'woo-rede',
  'woo-redsys-gateway-light',
  'woo-refund-and-exchange-lite',
  'woo-related-products-refresh-on-reload',
  'woo-retailcrm',
  'woo-reviews-by-wiremo',
  'woo-reviews-manually-approved',
  'woo-rfq-for-woocommerce',
  'woo-rocket',
  'woo-round-up-prices',
  'woo-safepay-gateway',
  'woo-sale-discount-scheduler',
  'woo-sales-by-country-reports',
  'woo-salesforce-plugin-crm-perks',
  'woo-satispay',
  'woo-save-abandoned-carts',
  'woo-save-and-share-cart',
  'woo-schedule-stock-manager',
  'woo-search-by-product-sku',
  'woo-search-on-product-sku',
  'woo-sendle-shipping-method',
  'woo-seo-addon',
  'woo-set-price-note',
  'woo-shipperhq',
  'woo-shipping-additional-days',
  'woo-shipping-display-mode',
  'woo-shipping-for-nova-poshta',
  'woo-shipping-gateway',
  'woo-shop-manager-admin-bar',
  'woo-show-product-discount',
  'woo-show-single-variations-shop-category',
  'woo-show-stock',
  'woo-sidebar-category-accordion',
  'woo-simple-hooks',
  'woo-simply-add-related-products-to-blog-posts',
  'woo-single-page-checkout',
  'woo-single-product-page-customizer',
  'woo-sku-label-changer',
  'woo-smart-compare',
  'woo-smart-quick-view',
  'woo-smart-wishlist',
  'woo-sofortuberweisung-gateway',
  'woo-sold-individually-for-variations',
  'woo-stickers-by-webline',
  'woo-sticky-product-bar',
  'woo-stripe-fee-in-report',
  'woo-stripe-payment',
  'woo-subcategory-thumb',
  'woo-subscription-extras',
  'woo-subscription-trial-coupon',
  'woo-swish-e-commerce',
  'woo-tabbed-category-product-listing',
  'woo-thank-you-page-customizer',
  'woo-thank-you-page-nextmove-lite',
  'woo-thumbnails-slider',
  'woo-tipdonation',
  'woo-to-facebook-shop',
  'woo-total-sales',
  'woo-tranzila-gateway',
  'woo-ukrposhta',
  'woo-ultimate-order-combination',
  'woo-update-variations-in-cart',
  'woo-upi-payment',
  'woo-upsell',
  'woo-usp',
  'woo-usps-simple-shipping',
  'woo-variation-gallery',
  'woo-variation-swatches',
  'woo-variations-style-buttons',
  'woo-variations-table',
  'woo-verotelcardbilling-flexpay',
  'woo-viet',
  'woo-vietnam-checkout',
  'woo-vipps',
  'woo-virtual-reviews',
  'woo-visual-hook-guide',
  'woo-wallee',
  'woo-wallet',
  'woo-wholesale-discount',
  'woo-wholesale-pricing',
  'woo-widget-product-slideshow',
  'woo-wolly-one-time-buy',
  'woo-wp-login',
  'woo-xendit-virtual-accounts',
  'woo-xml-feed-for-skroutzgr-bestpricegr',
  'woo-yapay',
  'woo-zap-mirror',
  'woo-zoho',
  'wooamoconnector',
  'woobuilder',
  'woocom-securepay-payment-gateway',
  'woocomm-popup-cart-ajax',
  'woocommerce-2checkout-payment',
  'woocommerce-abandoned-cart',
  'woocommerce-accommodation-bookings',
  'woocommerce-add-to-cart-custom-redirect',
  'woocommerce-admin-bar-addition',
  'woocommerce-admin',
  'woocommerce-advanced-free-shipping',
  'woocommerce-ajax-add-to-cart-for-variable-products',
  'woocommerce-ajax-cart',
  'woocommerce-ajax-filters',
  'woocommerce-all-currencies',
  'woocommerce-all-in-one-seo-pack',
  'woocommerce-and-1centerprise-data-exchange',
  'woocommerce-and-wp-emember-integration',
  'woocommerce-apg-free-postcodestatecountry-shipping',
  'woocommerce-apg-sms-notifications',
  'woocommerce-apg-weight-and-postcodestatecountry-shipping',
  'woocommerce-arabic-currencies',
  'woocommerce-auto-added-coupons',
  'woocommerce-auto-category-thumbnails',
  'woocommerce-auto-restore-stock',
  'woocommerce-basic-ordernumbers',
  'woocommerce-bcash',
  'woocommerce-beta-tester',
  'woocommerce-billink',
  'woocommerce-braintree-payment-gateway',
  'woocommerce-branding',
  'woocommerce-breadcrumbs',
  'woocommerce-bulk-order-form',
  'woocommerce-bulk-percentage-pricing',
  'woocommerce-bundle-style-coupons',
  'woocommerce-call-for-price',
  'woocommerce-cart-stock-reducer',
  'woocommerce-cart-tab',
  'woocommerce-catalog',
  'woocommerce-categories-menu',
  'woocommerce-category-banner',
  'woocommerce-cestina',
  'woocommerce-check-pincode-zipcode-for-shipping',
  'woocommerce-check-terms-conditions',
  'woocommerce-checkout-cielo',
  'woocommerce-checkout-manager',
  'woocommerce-checkout-terms-conditions-popup',
  'woocommerce-chilean-peso-currency',
  'woocommerce-cloak-affiliate-links',
  'woocommerce-colors',
  'woocommerce-coming-soon',
  'woocommerce-compare-products',
  'woocommerce-conversion-tracking',
  'woocommerce-correios',
  'woocommerce-country-based-payments',
  'woocommerce-coupon-schedule',
  'woocommerce-coupon-shortcodes',
  'woocommerce-currency-switcher',
  'woocommerce-custom-currencies',
  'woocommerce-custom-options-lite',
  'woocommerce-custom-price-label',
  'woocommerce-custom-price',
  'woocommerce-custom-product-data-fields',
  'woocommerce-custom-product-tabs-lite',
  'woocommerce-custom-tabs',
  'woocommerce-customizer',
  'woocommerce-delivery-notes',
  'woocommerce-digital-signature',
  'woocommerce-direct-checkout',
  'woocommerce-direct-variation-link',
  'woocommerce-discounts-plus',
  'woocommerce-display-products-by-tags',
  'woocommerce-domination',
  'woocommerce-dropbox',
  'woocommerce-dropdown-cart',
  'woocommerce-duplicate-billing-address',
  'woocommerce-dymo-print',
  'woocommerce-dynamic-gallery',
  'woocommerce-easy-booking-system',
  'woocommerce-easy-table-rate-shipping',
  'woocommerce-email-inquiry-cart-options',
  'woocommerce-email-money-transfer-gateway',
  'woocommerce-email-test',
  'woocommerce-email-validation',
  'woocommerce-embed-videos-to-product-image-gallery',
  'woocommerce-empty-cart-button',
  'woocommerce-epaybg',
  'woocommerce-es',
  'woocommerce-esewa',
  'woocommerce-eu-vat-assistant',
  'woocommerce-eu-vat-compliance',
  'woocommerce-export-customer-email',
  'woocommerce-export-orders',
  'woocommerce-exporter',
  'woocommerce-expresspay-payment-gateway',
  'woocommerce-extend-tabs',
  'woocommerce-extra-checkout-fields-for-brazil',
  'woocommerce-extra-fee-option',
  'woocommerce-extra-price-fields',
  'woocommerce-extra-product-sorting-options',
  'woocommerce-filter-orders-by-product',
  'woocommerce-fixed-quantity',
  'woocommerce-for-japan',
  'woocommerce-for-salesautopilot',
  'woocommerce-fortnox-integration',
  'woocommerce-full-width-add-to-cart-forms',
  'woocommerce-gateway-amazon-payments-advanced',
  'woocommerce-gateway-eway',
  'woocommerce-gateway-paypal-express-checkout',
  'woocommerce-gateway-paypal-powered-by-braintree',
  'woocommerce-gateway-stripe',
  'woocommerce-germanized',
  'woocommerce-gift-coupon',
  'woocommerce-gift-wrapper',
  'woocommerce-gold-price',
  'woocommerce-google-adwords-conversion-tracking-tag',
  'woocommerce-google-adwords-conversion-tracking',
  'woocommerce-google-analytics-integration',
  'woocommerce-google-dynamic-retargeting-tag',
  'woocommerce-hear-about-us',
  'woocommerce-hide-checkout-shipping-address',
  'woocommerce-html5-video',
  'woocommerce-image-hover',
  'woocommerce-image-zoom',
  'woocommerce-improved-external-products',
  'woocommerce-incremental-product-quantities',
  'woocommerce-jetpack',
  'woocommerce-jne',
  'woocommerce-khipu',
  'woocommerce-lightbox',
  'woocommerce-local-pickup-time-select',
  'woocommerce-login-and-registration',
  'woocommerce-login-popup-and-shortcodes',
  'woocommerce-mailchimp',
  'woocommerce-maintenance-mode',
  'woocommerce-max-quantity',
  'woocommerce-menu-bar-cart',
  'woocommerce-menu-extension',
  'woocommerce-mercadopago',
  'woocommerce-mis-report',
  'woocommerce-moip',
  'woocommerce-more-sorting',
  'woocommerce-multilingual',
  'woocommerce-multiple-addresses',
  'woocommerce-multiple-free-gift',
  'woocommerce-my-account-widget',
  'woocommerce-my-downloads-shortcode',
  'woocommerce-new-product-badge',
  'woocommerce-novalnet-gateway',
  'woocommerce-order-address-print',
  'woocommerce-other-payment-gateway',
  'woocommerce-out-of-stock-message',
  'woocommerce-pagseguro',
  'woocommerce-parcelas',
  'woocommerce-pay-for-payment',
  'woocommerce-pay-per-post',
  'woocommerce-payfast-gateway',
  'woocommerce-payment-discounts',
  'woocommerce-payment-gateway-ccbill',
  'woocommerce-payment-gateway',
  'woocommerce-payment-methods',
  'woocommerce-payment-reminder',
  'woocommerce-payments',
  'woocommerce-paynl-payment-methods',
  'woocommerce-paypal-here-gateway',
  'woocommerce-paypal-payments',
  'woocommerce-paypal-pro-payment-gateway',
  'woocommerce-payu-latam-gateway',
  'woocommerce-pdf-invoices-italian-add-on',
  'woocommerce-pdf-invoices-packing-slips',
  'woocommerce-pdf-invoices',
  'woocommerce-pos',
  'woocommerce-predictive-search',
  'woocommerce-prices',
  'woocommerce-product-addon',
  'woocommerce-product-badge',
  'woocommerce-product-category-selection-widget',
  'woocommerce-product-dependencies',
  'woocommerce-product-details-customiser',
  'woocommerce-product-faqs',
  'woocommerce-product-fees',
  'woocommerce-product-generator',
  'woocommerce-product-gift-wrap',
  'woocommerce-product-image-flipper',
  'woocommerce-product-navigation',
  'woocommerce-product-payments',
  'woocommerce-product-price-based-on-countries',
  'woocommerce-product-sku-generator',
  'woocommerce-product-sort-and-display',
  'woocommerce-product-stock-alert',
  'woocommerce-product-tabs',
  'woocommerce-product-type-column',
  'woocommerce-products-carousel-all-in-one',
  'woocommerce-products-designer',
  'woocommerce-products-filter',
  'woocommerce-products-quick-view',
  'woocommerce-products-slider',
  'woocommerce-products-without-featured-images',
  'woocommerce-putler-connector',
  'woocommerce-quaderno',
  'woocommerce-quick-buy',
  'woocommerce-quickpay',
  'woocommerce-remove-all-products',
  'woocommerce-remove-quantity-fields',
  'woocommerce-remove-sku',
  'woocommerce-role-pricing',
  'woocommerce-rrp',
  'woocommerce-sales-by-country',
  'woocommerce-sales-by-location-report',
  'woocommerce-securesubmit-gateway',
  'woocommerce-sendinblue-newsletter-subscription',
  'woocommerce-sequential-order-numbers',
  'woocommerce-sermepa-payment-gateway',
  'woocommerce-services',
  'woocommerce-shipping-gateway-per-product',
  'woocommerce-shipping-options',
  'woocommerce-shipstation-integration',
  'woocommerce-shortcodes',
  'woocommerce-show-attributes',
  'woocommerce-simple-registration',
  'woocommerce-simply-order-export',
  'woocommerce-smart-sale-badge',
  'woocommerce-social-media-share-buttons',
  'woocommerce-sold-out-products',
  'woocommerce-sort-by-stock',
  'woocommerce-square',
  'woocommerce-stock-manager',
  'woocommerce-store-toolkit',
  'woocommerce-super-simple-tax-exemption',
  'woocommerce-superfaktura',
  'woocommerce-thumbnail-input-quantities',
  'woocommerce-to-google-merchant-center',
  'woocommerce-trusted-shops',
  'woocommerce-unit-of-measure',
  'woocommerce-variation-details-on-page-product',
  'woocommerce-video-product-tab',
  'woocommerce-webship-integrated-quoting',
  'woocommerce-weight-country-based-shipping',
  'woocommerce-woocart-popup-lite',
  'woocommerce-xml-csv-product-import',
  'woocommerce',
  'woocustomizer',
  'woodiscuz-woocommerce-comments',
  'wooexim',
  'woof-by-category',
  'woofunnels-woocommerce-nmi-gateway',
  'woogosend',
  'woohide-hide-billing-fields',
  'woohoo',
  'woolab-ic-dic',
  'woolementor',
  'woolentor-addons',
  'woominecraft',
  'woomotiv',
  'wooms',
  'woongkir',
  'wooplatnica',
  'woopra',
  'woorechnung',
  'wooreviews-importer',
  'woorewards',
  'woorousell',
  'wooshark-aliexpress-importer',
  'wooshipping-postcode-kr',
  'woosms-sms-module-for-woocommerce',
  'woosocio',
  'woosquare',
  'wooswipe',
  'wootrello',
  'woowbot-woocommerce-chatbot',
  'woowgallery',
  'woozap',
  'woozoom-zooms-on-details-focuses-on-sales',
  'wp-activity-log-for-woocommerce',
  'wp-all-import-woocommerce-multistore-add-on',
  'wp-books-gallery',
  'wp-dummy-content-generator',
  'wp-events-manager-woocommerce-payment-methods-integration',
  'wp-hideshow-passwords-woocommerce',
  'wp-hotel-booking-woocommerce',
  'wp-infusionsoft-woocommerce',
  'wp-nmi-gateway-pci-woocommerce',
  'wp-product-gallery-lite',
  'wp-upg',
  'wp-woo-product-social-share',
  'wp-woocommerce-quickbooks',
  'wpa-woocommerce-product-gallery-lite',
  'wpant-coupons-pay-for-shipping-woocommerce',
  'wpb-woocommerce-category-slider',
  'wpb-woocommerce-custom-tab-manager',
  'wpb-woocommerce-product-slider',
  'wpb-woocommerce-related-products-slider',
  'wpb-woocommerce-show-sales-numbers',
  'wpify-woo',
  'wplit-woo-conditions-for-oxygen',
  'wpopal-core-features',
  'wpsso-wc-metadata',
  'wpsso-wc-shipping-delivery-time',
  'wt-smart-coupons-for-woocommerce',
  'wt-woocommerce-related-products',
  'wt-woocommerce-sequential-order-numbers',
  'wt-woocommerce-wishlist',
  'xt-woo-ajax-add-to-cart',
  'xt-woo-points-rewards',
  'xt-woo-quick-view-lite',
  'xt-woo-variation-swatches',
  'xunhu-alipay-payment-for-woocommerce',
  'xunhu-wechat-payment-for-woocommerce',
  'yaad-sarig-payment-gateway-for-wc',
  'yakkyofy',
  'yedpay-for-woocommerce',
  'yikes-inc-easy-custom-woocommerce-product-tabs',
  'yith-color-and-label-variations-for-woocommerce',
  'yith-custom-login',
  'yith-essential-kit-for-woocommerce-1',
  'yith-maintenance-mode',
  'yith-paypal-express-checkout-for-woocommerce',
  'yith-pre-order-for-woocommerce',
  'yith-woocommerce-affiliates',
  'yith-woocommerce-ajax-navigation',
  'yith-woocommerce-ajax-search',
  'yith-woocommerce-badges-management',
  'yith-woocommerce-brands-add-on',
  'yith-woocommerce-catalog-mode',
  'yith-woocommerce-compare',
  'yith-woocommerce-featured-video',
  'yith-woocommerce-frequently-bought-together',
  'yith-woocommerce-gift-cards',
  'yith-woocommerce-order-tracking',
  'yith-woocommerce-popup',
  'yith-woocommerce-product-add-ons',
  'yith-woocommerce-product-bundles',
  'yith-woocommerce-product-slider-carousel',
  'yith-woocommerce-quick-view',
  'yith-woocommerce-request-a-quote',
  'yith-woocommerce-subscription',
  'yith-woocommerce-tab-manager',
  'yith-woocommerce-waiting-list',
  'yith-woocommerce-wishlist',
  'yith-woocommerce-zoom-magnifier',
  'yotpo-social-reviews-for-woocommerce',
  'youcan-pay-for-woocommerce',
  'z-credit-webcheckout-for-woo',
  'zi-hide-price-and-add-to-cart-for-woocommerce',
  'zibal-payment-gateway-for-woocommerce',
  'zipmoney-payments-woocommerce'
);
