<?php
defined( 'ABSPATH' ) || exit;

$deps = array(
  'activate-users-in-buddypress',
  'activity-link-preview-for-buddypress',
  'activity-notifications-for-buddypress-and-hipchat',
  'activity-reactions-for-buddypress',
  'advanced-xprofile-fields-for-buddypress',
  'affiliates-buddypress',
  'after-the-deadline-for-buddypress',
  'are-you-robot-recaptcha',
  'autologin-on-register-for-buddyboss',
  'badgeos-buddypress-notifier',
  'bbp-buddypress-profile-information',
  'bbpress-bbcode',
  'birthday-widget-for-buddypress',
  'bogo-buddypress',
  'bp-blog-author-link',
  'bp-default-user-notifications',
  'bp-direct-menus',
  'bp-event-manager',
  'bp-force-profile',
  'bp-group-reviews',
  'bp-groups-import-users',
  'bp-notification-woocommerce',
  'bp-post-buttons',
  'bp-profile-as-homepage',
  'bp-user-profile-reviews',
  'buddy-community-stats',
  'buddy-views',
  'buddyboss-platform',
  'buddypress-activity-anywhere',
  'buddypress-activity-as-blog-comments',
  'buddypress-activity-privacy',
  'buddypress-activity-sidebar-widget-resubmission',
  'buddypress-activity-stream-ajax-notifier',
  'buddypress-activity-stream-atgroups',
  'buddypress-activity-stream-bar',
  'buddypress-activity-stream-bump-to-top',
  'buddypress-activity-stream-extras',
  'buddypress-activity-stream-hashtags',
  'buddypress-activity-tags',
  'buddypress-admin-access-activity',
  'buddypress-admin-only-profile-fields',
  'buddypress-announce-group',
  'buddypress-better-pagination',
  'buddypress-block-activity-stream-types',
  'buddypress-captcha',
  'buddypress-community-stats',
  'buddypress-compliments',
  'buddypress-conditional-field-groups',
  'buddypress-conditional-profile-field',
  'buddypress-connect-for-tally-framework',
  'buddypress-courseware-certificate',
  'buddypress-courseware',
  'buddypress-cover-photo',
  'buddypress-custom-profile-filters',
  'buddypress-default-group-avatar',
  'buddypress-desktop-notification',
  'buddypress-docs',
  'buddypress-easy-albums-photos-video-and-music-next-gen',
  'buddypress-easy-albums-photos-video-and-music',
  'buddypress-edit-activity-stream',
  'buddypress-edit-activity',
  'buddypress-extended-friendship-request',
  'buddypress-extended-profile-translation',
  'buddypress-featured-members',
  'buddypress-first-letter-avatar',
  'buddypress-foaf',
  'buddypress-follow-me',
  'buddypress-followers',
  'buddypress-friends-on-line',
  'buddypress-friends',
  'buddypress-gifts-latest-2014',
  'buddypress-global-search',
  'buddypress-group-css',
  'buddypress-group-email-subscription',
  'buddypress-group-folders',
  'buddypress-group-for-community-admins-and-mods',
  'buddypress-group-tags',
  'buddypress-group-twitter',
  'buddypress-groups-autojoin-admins',
  'buddypress-groups-directory-extras',
  'buddypress-groups-extras',
  'buddypress-groups-import',
  'buddypress-hovercards',
  'buddypress-humanity',
  'buddypress-identicons',
  'buddypress-instaban',
  'buddypress-last-active-users-wp-admin',
  'buddypress-learndash',
  'buddypress-like',
  'buddypress-login-redirect',
  'buddypress-media',
  'buddypress-member-profile-stats',
  'buddypress-members-only',
  'buddypress-message-attachment',
  'buddypress-messages-spam-blocker',
  'buddypress-monster-widget',
  'buddypress-multi-group-remove',
  'buddypress-multilingual',
  'buddypress-mute',
  'buddypress-mymood',
  'buddypress-notifications-manager',
  'buddypress-notifications-widget',
  'buddypress-password-strength-meter',
  'buddypress-portfolio',
  'buddypress-preklad',
  'buddypress-private-community',
  'buddypress-private-message-for-friends-only',
  'buddypress-private-messages-for-followers-only',
  'buddypress-profile-completion',
  'buddypress-profile-rating',
  'buddypress-profile-tabs',
  'buddypress-profile-view-from-admin',
  'buddypress-profile-views',
  'buddypress-profile-visitors',
  'buddypress-rate-forum-posts',
  'buddypress-real-names',
  'buddypress-recaptcha',
  'buddypress-registration-groups-1',
  'buddypress-restrict-email-domains',
  'buddypress-restrict-group-creation',
  'buddypress-restrict-messages',
  'buddypress-russian-months',
  'buddypress-shortcodes',
  'buddypress-sidebar',
  'buddypress-simple-events',
  'buddypress-sitemap-generator',
  'buddypress-sitewide-activity-widget',
  'buddypress-sitewide-notice-widget',
  'buddypress-sliding-login-panel',
  'buddypress-social',
  'buddypress-sticker',
  'buddypress-summary-tab',
  'buddypress-to-aweber-integration',
  'buddypress-toolbar',
  'buddypress-twitter-post',
  'buddypress-update-email-reminder-lightbox',
  'buddypress-upload-avatar-ajax',
  'buddypress-user-language',
  'buddypress-user-registration-auto-group',
  'buddypress-usernames-only',
  'buddypress-verified',
  'buddypress-wall',
  'buddypress-who-clicked-at-my-profile',
  'buddypress-xml-rpc-receiver',
  'buddypress-xmlrpc-receiver',
  'buddypress-xprofile-image-field',
  'buddypress-xprofile-validate-with-regex',
  'buddypress-xprofiles-acl',
  'cosmic-bp-user-signup-password',
  'cubepoints-buddypress-integration',
  'custom-profile-filters-for-buddypress',
  'defaults-for-buddypress-docs',
  'enhanced-buddypress-widgets',
  'gamipress-buddyboss-integration',
  'gamipress-buddypress-group-leaderboard',
  'gamipress-buddypress-integration',
  'gift-buddypress-addons',
  'hide-member-visibility-for-buddypress',
  'honorific-buddypress-members-name',
  'jet-event-system-for-buddypress',
  'json-api-for-buddypress',
  'lava-bp-post',
  'learnpress-buddypress',
  'lh-buddypress-default-email-notifications',
  'lh-buddypress-disable-group-deletion',
  'lh-buddypress-email-or-message-group-members',
  'lh-buddypress-group-redirect',
  'lh-buddypress-login-on-activation',
  'lh-buddypress-multi-network',
  'lh-buddypress-woo',
  'lh-dequeue-buddypress',
  'lh-private-buddypress',
  'ls-buddypress-activity-plus-tabs-extension',
  'mass-messaging-in-buddypress',
  'match-me-for-buddypress',
  'memberpress-buddypress',
  'mycred-buddyboss',
  'mycred-for-buddypress-compliments',
  'newsletter-buddypress',
  'notification-buddypress',
  'personalized-activity-for-buddypress-fra',
  'personalized-activity-for-buddypress-frfwa',
  'personalized-activity-for-buddypress-fwa',
  'pmpro-buddypress',
  'popup-maker-buddypress-integration',
  'private-buddypress',
  'profile-link-generator-for-buddypress',
  'profile-links-for-buddypress',
  'profiles-manager-for-buddypress',
  'push-notification-for-post-and-buddypress',
  'query-monitor-bbpress-buddypress-conditionals',
  'quizzes-for-buddypress',
  'really-simple-captcha-for-buddypress',
  'rebrand-buddyboss',
  'review-buddypress-groups',
  'sensei-buddypress',
  'share-buddypress-activity-pluso',
  'shortcodes-for-buddypress',
  'simple-buddypress-notifications',
  'simple-buddypress-profile-privacy',
  'simple-terms-and-conditions-for-buddypress',
  'simplify-firstname-as-nickname-for-buddyboss',
  'ssl-for-buddypress',
  'suffusion-buddypress-pack',
  'u-buddypress-forum-attachment',
  'u-buddypress-forum-editor',
  'v-voting',
  'vibe-buddypress-to-wp-mail-fix',
  'vibe-buddypress-woocommerce',
  'wbcom-designs-buddypress-ads',
  'woocommerce-buddypress-integration-xprofile-checkout-manager',
  'wp-html-mail-buddypress',
  'wpmktgengine-extension-buddypress',
  'yd-buddypress-feed-syndication'
);
